OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.Core33

Contents

- Types
- Enums
- Functions

Description

Synopsis

- type GLbitfield = Word32
- type GLboolean = Word8
- type GLbyte = Int8
- type GLchar = CChar
- type GLclampd = Double
- type GLclampf = Float
- type GLdouble = Double
- type GLenum = Word32
- type GLfloat = Float
- type GLhalf = Half
- type GLint = Int32
- type GLint64 = Int64
- type GLintptr = CPtrdiff
- type GLshort = Int16
- type GLsizei = Int32
- type GLsizeiptr = CPtrdiff
- type GLsync = Ptr ()
- type GLubyte = Word8
- type GLuint = Word32
- type GLuint64 = Word64
- type GLushort = Word16
- type GLvoid = ()
- pattern GL_ACTIVE_ATTRIBUTES :: GLenum
- pattern GL_ACTIVE_ATTRIBUTE_MAX_LENGTH :: GLenum
- pattern GL_ACTIVE_TEXTURE :: GLenum
- pattern GL_ACTIVE_UNIFORMS :: GLenum
- pattern GL_ACTIVE_UNIFORM_BLOCKS :: GLenum
- pattern GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH :: GLenum
- pattern GL_ACTIVE_UNIFORM_MAX_LENGTH :: GLenum
- pattern GL_ALIASED_LINE_WIDTH_RANGE :: GLenum
- pattern GL_ALPHA :: GLenum
- pattern GL_ALREADY_SIGNALED :: GLenum
- pattern GL_ALWAYS :: GLenum
- pattern GL_AND :: GLenum
- pattern GL_AND_INVERTED :: GLenum
- pattern GL_AND_REVERSE :: GLenum
- pattern GL_ANY_SAMPLES_PASSED :: GLenum
- pattern GL_ARRAY_BUFFER :: GLenum
- pattern GL_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_ATTACHED_SHADERS :: GLenum
- pattern GL_BACK :: GLenum
- pattern GL_BACK_LEFT :: GLenum
- pattern GL_BACK_RIGHT :: GLenum
- pattern GL_BGR :: GLenum
- pattern GL_BGRA :: GLenum
- pattern GL_BGRA_INTEGER :: GLenum
- pattern GL_BGR_INTEGER :: GLenum
- pattern GL_BLEND :: GLenum
- pattern GL_BLEND_COLOR :: GLenum
- pattern GL_BLEND_DST :: GLenum
- pattern GL_BLEND_DST_ALPHA :: GLenum
- pattern GL_BLEND_DST_RGB :: GLenum
- pattern GL_BLEND_EQUATION :: GLenum
- pattern GL_BLEND_EQUATION_ALPHA :: GLenum
- pattern GL_BLEND_EQUATION_RGB :: GLenum
- pattern GL_BLEND_SRC :: GLenum
- pattern GL_BLEND_SRC_ALPHA :: GLenum
- pattern GL_BLEND_SRC_RGB :: GLenum
- pattern GL_BLUE :: GLenum
- pattern GL_BLUE_INTEGER :: GLenum
- pattern GL_BOOL :: GLenum
- pattern GL_BOOL_VEC2 :: GLenum
- pattern GL_BOOL_VEC3 :: GLenum
- pattern GL_BOOL_VEC4 :: GLenum
- pattern GL_BUFFER_ACCESS :: GLenum
- pattern GL_BUFFER_ACCESS_FLAGS :: GLenum
- pattern GL_BUFFER_MAPPED :: GLenum
- pattern GL_BUFFER_MAP_LENGTH :: GLenum
- pattern GL_BUFFER_MAP_OFFSET :: GLenum
- pattern GL_BUFFER_MAP_POINTER :: GLenum
- pattern GL_BUFFER_SIZE :: GLenum
- pattern GL_BUFFER_USAGE :: GLenum
- pattern GL_BYTE :: GLenum
- pattern GL_CCW :: GLenum
- pattern GL_CLAMP_READ_COLOR :: GLenum
- pattern GL_CLAMP_TO_BORDER :: GLenum
- pattern GL_CLAMP_TO_EDGE :: GLenum
- pattern GL_CLEAR :: GLenum
- pattern GL_CLIP_DISTANCE0 :: GLenum
- pattern GL_CLIP_DISTANCE1 :: GLenum
- pattern GL_CLIP_DISTANCE2 :: GLenum
- pattern GL_CLIP_DISTANCE3 :: GLenum
- pattern GL_CLIP_DISTANCE4 :: GLenum
- pattern GL_CLIP_DISTANCE5 :: GLenum
- pattern GL_CLIP_DISTANCE6 :: GLenum
- pattern GL_CLIP_DISTANCE7 :: GLenum
- pattern GL_COLOR :: GLenum
- pattern GL_COLOR_ATTACHMENT0 :: GLenum
- pattern GL_COLOR_ATTACHMENT1 :: GLenum
- pattern GL_COLOR_ATTACHMENT10 :: GLenum
- pattern GL_COLOR_ATTACHMENT11 :: GLenum
- pattern GL_COLOR_ATTACHMENT12 :: GLenum
- pattern GL_COLOR_ATTACHMENT13 :: GLenum
- pattern GL_COLOR_ATTACHMENT14 :: GLenum
- pattern GL_COLOR_ATTACHMENT15 :: GLenum
- pattern GL_COLOR_ATTACHMENT16 :: GLenum
- pattern GL_COLOR_ATTACHMENT17 :: GLenum
- pattern GL_COLOR_ATTACHMENT18 :: GLenum
- pattern GL_COLOR_ATTACHMENT19 :: GLenum
- pattern GL_COLOR_ATTACHMENT2 :: GLenum
- pattern GL_COLOR_ATTACHMENT20 :: GLenum
- pattern GL_COLOR_ATTACHMENT21 :: GLenum
- pattern GL_COLOR_ATTACHMENT22 :: GLenum
- pattern GL_COLOR_ATTACHMENT23 :: GLenum
- pattern GL_COLOR_ATTACHMENT24 :: GLenum
- pattern GL_COLOR_ATTACHMENT25 :: GLenum
- pattern GL_COLOR_ATTACHMENT26 :: GLenum
- pattern GL_COLOR_ATTACHMENT27 :: GLenum
- pattern GL_COLOR_ATTACHMENT28 :: GLenum
- pattern GL_COLOR_ATTACHMENT29 :: GLenum
- pattern GL_COLOR_ATTACHMENT3 :: GLenum
- pattern GL_COLOR_ATTACHMENT30 :: GLenum
- pattern GL_COLOR_ATTACHMENT31 :: GLenum
- pattern GL_COLOR_ATTACHMENT4 :: GLenum
- pattern GL_COLOR_ATTACHMENT5 :: GLenum
- pattern GL_COLOR_ATTACHMENT6 :: GLenum
- pattern GL_COLOR_ATTACHMENT7 :: GLenum
- pattern GL_COLOR_ATTACHMENT8 :: GLenum
- pattern GL_COLOR_ATTACHMENT9 :: GLenum
- pattern GL_COLOR_BUFFER_BIT :: GLbitfield
- pattern GL_COLOR_CLEAR_VALUE :: GLenum
- pattern GL_COLOR_LOGIC_OP :: GLenum
- pattern GL_COLOR_WRITEMASK :: GLenum
- pattern GL_COMPARE_REF_TO_TEXTURE :: GLenum
- pattern GL_COMPILE_STATUS :: GLenum
- pattern GL_COMPRESSED_RED :: GLenum
- pattern GL_COMPRESSED_RED_RGTC1 :: GLenum
- pattern GL_COMPRESSED_RG :: GLenum
- pattern GL_COMPRESSED_RGB :: GLenum
- pattern GL_COMPRESSED_RGBA :: GLenum
- pattern GL_COMPRESSED_RG_RGTC2 :: GLenum
- pattern GL_COMPRESSED_SIGNED_RED_RGTC1 :: GLenum
- pattern GL_COMPRESSED_SIGNED_RG_RGTC2 :: GLenum
- pattern GL_COMPRESSED_SRGB :: GLenum
- pattern GL_COMPRESSED_SRGB_ALPHA :: GLenum
- pattern GL_COMPRESSED_TEXTURE_FORMATS :: GLenum
- pattern GL_CONDITION_SATISFIED :: GLenum
- pattern GL_CONSTANT_ALPHA :: GLenum
- pattern GL_CONSTANT_COLOR :: GLenum
- pattern GL_CONTEXT_COMPATIBILITY_PROFILE_BIT :: GLbitfield
- pattern GL_CONTEXT_CORE_PROFILE_BIT :: GLbitfield
- pattern GL_CONTEXT_FLAGS :: GLenum
- pattern GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT :: GLbitfield
- pattern GL_CONTEXT_PROFILE_MASK :: GLenum
- pattern GL_COPY :: GLenum
- pattern GL_COPY_INVERTED :: GLenum
- pattern GL_COPY_READ_BUFFER :: GLenum
- pattern GL_COPY_WRITE_BUFFER :: GLenum
- pattern GL_CULL_FACE :: GLenum
- pattern GL_CULL_FACE_MODE :: GLenum
- pattern GL_CURRENT_PROGRAM :: GLenum
- pattern GL_CURRENT_QUERY :: GLenum
- pattern GL_CURRENT_VERTEX_ATTRIB :: GLenum
- pattern GL_CW :: GLenum
- pattern GL_DECR :: GLenum
- pattern GL_DECR_WRAP :: GLenum
- pattern GL_DELETE_STATUS :: GLenum
- pattern GL_DEPTH :: GLenum
- pattern GL_DEPTH24_STENCIL8 :: GLenum
- pattern GL_DEPTH32F_STENCIL8 :: GLenum
- pattern GL_DEPTH_ATTACHMENT :: GLenum
- pattern GL_DEPTH_BUFFER_BIT :: GLbitfield
- pattern GL_DEPTH_CLAMP :: GLenum
- pattern GL_DEPTH_CLEAR_VALUE :: GLenum
- pattern GL_DEPTH_COMPONENT :: GLenum
- pattern GL_DEPTH_COMPONENT16 :: GLenum
- pattern GL_DEPTH_COMPONENT24 :: GLenum
- pattern GL_DEPTH_COMPONENT32 :: GLenum
- pattern GL_DEPTH_COMPONENT32F :: GLenum
- pattern GL_DEPTH_FUNC :: GLenum
- pattern GL_DEPTH_RANGE :: GLenum
- pattern GL_DEPTH_STENCIL :: GLenum
- pattern GL_DEPTH_STENCIL_ATTACHMENT :: GLenum
- pattern GL_DEPTH_TEST :: GLenum
- pattern GL_DEPTH_WRITEMASK :: GLenum
- pattern GL_DITHER :: GLenum
- pattern GL_DONT_CARE :: GLenum
- pattern GL_DOUBLE :: GLenum
- pattern GL_DOUBLEBUFFER :: GLenum
- pattern GL_DRAW_BUFFER :: GLenum
- pattern GL_DRAW_BUFFER0 :: GLenum
- pattern GL_DRAW_BUFFER1 :: GLenum
- pattern GL_DRAW_BUFFER10 :: GLenum
- pattern GL_DRAW_BUFFER11 :: GLenum
- pattern GL_DRAW_BUFFER12 :: GLenum
- pattern GL_DRAW_BUFFER13 :: GLenum
- pattern GL_DRAW_BUFFER14 :: GLenum
- pattern GL_DRAW_BUFFER15 :: GLenum
- pattern GL_DRAW_BUFFER2 :: GLenum
- pattern GL_DRAW_BUFFER3 :: GLenum
- pattern GL_DRAW_BUFFER4 :: GLenum
- pattern GL_DRAW_BUFFER5 :: GLenum
- pattern GL_DRAW_BUFFER6 :: GLenum
- pattern GL_DRAW_BUFFER7 :: GLenum
- pattern GL_DRAW_BUFFER8 :: GLenum
- pattern GL_DRAW_BUFFER9 :: GLenum
- pattern GL_DRAW_FRAMEBUFFER :: GLenum
- pattern GL_DRAW_FRAMEBUFFER_BINDING :: GLenum
- pattern GL_DST_ALPHA :: GLenum
- pattern GL_DST_COLOR :: GLenum
- pattern GL_DYNAMIC_COPY :: GLenum
- pattern GL_DYNAMIC_DRAW :: GLenum
- pattern GL_DYNAMIC_READ :: GLenum
- pattern GL_ELEMENT_ARRAY_BUFFER :: GLenum
- pattern GL_ELEMENT_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_EQUAL :: GLenum
- pattern GL_EQUIV :: GLenum
- pattern GL_EXTENSIONS :: GLenum
- pattern GL_FALSE :: GLboolean
- pattern GL_FASTEST :: GLenum
- pattern GL_FILL :: GLenum
- pattern GL_FIRST_VERTEX_CONVENTION :: GLenum
- pattern GL_FIXED_ONLY :: GLenum
- pattern GL_FLOAT :: GLenum
- pattern GL_FLOAT_32_UNSIGNED_INT_24_8_REV :: GLenum
- pattern GL_FLOAT_MAT2 :: GLenum
- pattern GL_FLOAT_MAT2x3 :: GLenum
- pattern GL_FLOAT_MAT2x4 :: GLenum
- pattern GL_FLOAT_MAT3 :: GLenum
- pattern GL_FLOAT_MAT3x2 :: GLenum
- pattern GL_FLOAT_MAT3x4 :: GLenum
- pattern GL_FLOAT_MAT4 :: GLenum
- pattern GL_FLOAT_MAT4x2 :: GLenum
- pattern GL_FLOAT_MAT4x3 :: GLenum
- pattern GL_FLOAT_VEC2 :: GLenum
- pattern GL_FLOAT_VEC3 :: GLenum
- pattern GL_FLOAT_VEC4 :: GLenum
- pattern GL_FRAGMENT_SHADER :: GLenum
- pattern GL_FRAGMENT_SHADER_DERIVATIVE_HINT :: GLenum
- pattern GL_FRAMEBUFFER :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_LAYERED :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL :: GLenum
- pattern GL_FRAMEBUFFER_BINDING :: GLenum
- pattern GL_FRAMEBUFFER_COMPLETE :: GLenum
- pattern GL_FRAMEBUFFER_DEFAULT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER :: GLenum
- pattern GL_FRAMEBUFFER_SRGB :: GLenum
- pattern GL_FRAMEBUFFER_UNDEFINED :: GLenum
- pattern GL_FRAMEBUFFER_UNSUPPORTED :: GLenum
- pattern GL_FRONT :: GLenum
- pattern GL_FRONT_AND_BACK :: GLenum
- pattern GL_FRONT_FACE :: GLenum
- pattern GL_FRONT_LEFT :: GLenum
- pattern GL_FRONT_RIGHT :: GLenum
- pattern GL_FUNC_ADD :: GLenum
- pattern GL_FUNC_REVERSE_SUBTRACT :: GLenum
- pattern GL_FUNC_SUBTRACT :: GLenum
- pattern GL_GEOMETRY_INPUT_TYPE :: GLenum
- pattern GL_GEOMETRY_OUTPUT_TYPE :: GLenum
- pattern GL_GEOMETRY_SHADER :: GLenum
- pattern GL_GEOMETRY_VERTICES_OUT :: GLenum
- pattern GL_GEQUAL :: GLenum
- pattern GL_GREATER :: GLenum
- pattern GL_GREEN :: GLenum
- pattern GL_GREEN_INTEGER :: GLenum
- pattern GL_HALF_FLOAT :: GLenum
- pattern GL_INCR :: GLenum
- pattern GL_INCR_WRAP :: GLenum
- pattern GL_INFO_LOG_LENGTH :: GLenum
- pattern GL_INT :: GLenum
- pattern GL_INTERLEAVED_ATTRIBS :: GLenum
- pattern GL_INT_2_10_10_10_REV :: GLenum
- pattern GL_INT_SAMPLER_1D :: GLenum
- pattern GL_INT_SAMPLER_1D_ARRAY :: GLenum
- pattern GL_INT_SAMPLER_2D :: GLenum
- pattern GL_INT_SAMPLER_2D_ARRAY :: GLenum
- pattern GL_INT_SAMPLER_2D_MULTISAMPLE :: GLenum
- pattern GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_INT_SAMPLER_2D_RECT :: GLenum
- pattern GL_INT_SAMPLER_3D :: GLenum
- pattern GL_INT_SAMPLER_BUFFER :: GLenum
- pattern GL_INT_SAMPLER_CUBE :: GLenum
- pattern GL_INT_VEC2 :: GLenum
- pattern GL_INT_VEC3 :: GLenum
- pattern GL_INT_VEC4 :: GLenum
- pattern GL_INVALID_ENUM :: GLenum
- pattern GL_INVALID_FRAMEBUFFER_OPERATION :: GLenum
- pattern GL_INVALID_INDEX :: GLuint
- pattern GL_INVALID_OPERATION :: GLenum
- pattern GL_INVALID_VALUE :: GLenum
- pattern GL_INVERT :: GLenum
- pattern GL_KEEP :: GLenum
- pattern GL_LAST_VERTEX_CONVENTION :: GLenum
- pattern GL_LEFT :: GLenum
- pattern GL_LEQUAL :: GLenum
- pattern GL_LESS :: GLenum
- pattern GL_LINE :: GLenum
- pattern GL_LINEAR :: GLenum
- pattern GL_LINEAR_MIPMAP_LINEAR :: GLenum
- pattern GL_LINEAR_MIPMAP_NEAREST :: GLenum
- pattern GL_LINES :: GLenum
- pattern GL_LINES_ADJACENCY :: GLenum
- pattern GL_LINE_LOOP :: GLenum
- pattern GL_LINE_SMOOTH :: GLenum
- pattern GL_LINE_SMOOTH_HINT :: GLenum
- pattern GL_LINE_STRIP :: GLenum
- pattern GL_LINE_STRIP_ADJACENCY :: GLenum
- pattern GL_LINE_WIDTH :: GLenum
- pattern GL_LINE_WIDTH_GRANULARITY :: GLenum
- pattern GL_LINE_WIDTH_RANGE :: GLenum
- pattern GL_LINK_STATUS :: GLenum
- pattern GL_LOGIC_OP_MODE :: GLenum
- pattern GL_LOWER_LEFT :: GLenum
- pattern GL_MAJOR_VERSION :: GLenum
- pattern GL_MAP_FLUSH_EXPLICIT_BIT :: GLbitfield
- pattern GL_MAP_INVALIDATE_BUFFER_BIT :: GLbitfield
- pattern GL_MAP_INVALIDATE_RANGE_BIT :: GLbitfield
- pattern GL_MAP_READ_BIT :: GLbitfield
- pattern GL_MAP_UNSYNCHRONIZED_BIT :: GLbitfield
- pattern GL_MAP_WRITE_BIT :: GLbitfield
- pattern GL_MAX :: GLenum
- pattern GL_MAX_3D_TEXTURE_SIZE :: GLenum
- pattern GL_MAX_ARRAY_TEXTURE_LAYERS :: GLenum
- pattern GL_MAX_CLIP_DISTANCES :: GLenum
- pattern GL_MAX_COLOR_ATTACHMENTS :: GLenum
- pattern GL_MAX_COLOR_TEXTURE_SAMPLES :: GLenum
- pattern GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS :: GLenum
- pattern GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS :: GLenum
- pattern GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS :: GLenum
- pattern GL_MAX_COMBINED_UNIFORM_BLOCKS :: GLenum
- pattern GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS :: GLenum
- pattern GL_MAX_CUBE_MAP_TEXTURE_SIZE :: GLenum
- pattern GL_MAX_DEPTH_TEXTURE_SAMPLES :: GLenum
- pattern GL_MAX_DRAW_BUFFERS :: GLenum
- pattern GL_MAX_DUAL_SOURCE_DRAW_BUFFERS :: GLenum
- pattern GL_MAX_ELEMENTS_INDICES :: GLenum
- pattern GL_MAX_ELEMENTS_VERTICES :: GLenum
- pattern GL_MAX_FRAGMENT_INPUT_COMPONENTS :: GLenum
- pattern GL_MAX_FRAGMENT_UNIFORM_BLOCKS :: GLenum
- pattern GL_MAX_FRAGMENT_UNIFORM_COMPONENTS :: GLenum
- pattern GL_MAX_GEOMETRY_INPUT_COMPONENTS :: GLenum
- pattern GL_MAX_GEOMETRY_OUTPUT_COMPONENTS :: GLenum
- pattern GL_MAX_GEOMETRY_OUTPUT_VERTICES :: GLenum
- pattern GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS :: GLenum
- pattern GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS :: GLenum
- pattern GL_MAX_GEOMETRY_UNIFORM_BLOCKS :: GLenum
- pattern GL_MAX_GEOMETRY_UNIFORM_COMPONENTS :: GLenum
- pattern GL_MAX_INTEGER_SAMPLES :: GLenum
- pattern GL_MAX_PROGRAM_TEXEL_OFFSET :: GLenum
- pattern GL_MAX_RECTANGLE_TEXTURE_SIZE :: GLenum
- pattern GL_MAX_RENDERBUFFER_SIZE :: GLenum
- pattern GL_MAX_SAMPLES :: GLenum
- pattern GL_MAX_SAMPLE_MASK_WORDS :: GLenum
- pattern GL_MAX_SERVER_WAIT_TIMEOUT :: GLenum
- pattern GL_MAX_TEXTURE_BUFFER_SIZE :: GLenum
- pattern GL_MAX_TEXTURE_IMAGE_UNITS :: GLenum
- pattern GL_MAX_TEXTURE_LOD_BIAS :: GLenum
- pattern GL_MAX_TEXTURE_SIZE :: GLenum
- pattern GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS :: GLenum
- pattern GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS :: GLenum
- pattern GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS :: GLenum
- pattern GL_MAX_UNIFORM_BLOCK_SIZE :: GLenum
- pattern GL_MAX_UNIFORM_BUFFER_BINDINGS :: GLenum
- pattern GL_MAX_VARYING_COMPONENTS :: GLenum
- pattern GL_MAX_VARYING_FLOATS :: GLenum
- pattern GL_MAX_VERTEX_ATTRIBS :: GLenum
- pattern GL_MAX_VERTEX_OUTPUT_COMPONENTS :: GLenum
- pattern GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS :: GLenum
- pattern GL_MAX_VERTEX_UNIFORM_BLOCKS :: GLenum
- pattern GL_MAX_VERTEX_UNIFORM_COMPONENTS :: GLenum
- pattern GL_MAX_VIEWPORT_DIMS :: GLenum
- pattern GL_MIN :: GLenum
- pattern GL_MINOR_VERSION :: GLenum
- pattern GL_MIN_PROGRAM_TEXEL_OFFSET :: GLenum
- pattern GL_MIRRORED_REPEAT :: GLenum
- pattern GL_MULTISAMPLE :: GLenum
- pattern GL_NAND :: GLenum
- pattern GL_NEAREST :: GLenum
- pattern GL_NEAREST_MIPMAP_LINEAR :: GLenum
- pattern GL_NEAREST_MIPMAP_NEAREST :: GLenum
- pattern GL_NEVER :: GLenum
- pattern GL_NICEST :: GLenum
- pattern GL_NONE :: GLenum
- pattern GL_NOOP :: GLenum
- pattern GL_NOR :: GLenum
- pattern GL_NOTEQUAL :: GLenum
- pattern GL_NO_ERROR :: GLenum
- pattern GL_NUM_COMPRESSED_TEXTURE_FORMATS :: GLenum
- pattern GL_NUM_EXTENSIONS :: GLenum
- pattern GL_OBJECT_TYPE :: GLenum
- pattern GL_ONE :: GLenum
- pattern GL_ONE_MINUS_CONSTANT_ALPHA :: GLenum
- pattern GL_ONE_MINUS_CONSTANT_COLOR :: GLenum
- pattern GL_ONE_MINUS_DST_ALPHA :: GLenum
- pattern GL_ONE_MINUS_DST_COLOR :: GLenum
- pattern GL_ONE_MINUS_SRC1_ALPHA :: GLenum
- pattern GL_ONE_MINUS_SRC1_COLOR :: GLenum
- pattern GL_ONE_MINUS_SRC_ALPHA :: GLenum
- pattern GL_ONE_MINUS_SRC_COLOR :: GLenum
- pattern GL_OR :: GLenum
- pattern GL_OR_INVERTED :: GLenum
- pattern GL_OR_REVERSE :: GLenum
- pattern GL_OUT_OF_MEMORY :: GLenum
- pattern GL_PACK_ALIGNMENT :: GLenum
- pattern GL_PACK_IMAGE_HEIGHT :: GLenum
- pattern GL_PACK_LSB_FIRST :: GLenum
- pattern GL_PACK_ROW_LENGTH :: GLenum
- pattern GL_PACK_SKIP_IMAGES :: GLenum
- pattern GL_PACK_SKIP_PIXELS :: GLenum
- pattern GL_PACK_SKIP_ROWS :: GLenum
- pattern GL_PACK_SWAP_BYTES :: GLenum
- pattern GL_PIXEL_PACK_BUFFER :: GLenum
- pattern GL_PIXEL_PACK_BUFFER_BINDING :: GLenum
- pattern GL_PIXEL_UNPACK_BUFFER :: GLenum
- pattern GL_PIXEL_UNPACK_BUFFER_BINDING :: GLenum
- pattern GL_POINT :: GLenum
- pattern GL_POINTS :: GLenum
- pattern GL_POINT_FADE_THRESHOLD_SIZE :: GLenum
- pattern GL_POINT_SIZE :: GLenum
- pattern GL_POINT_SIZE_GRANULARITY :: GLenum
- pattern GL_POINT_SIZE_RANGE :: GLenum
- pattern GL_POINT_SPRITE_COORD_ORIGIN :: GLenum
- pattern GL_POLYGON_MODE :: GLenum
- pattern GL_POLYGON_OFFSET_FACTOR :: GLenum
- pattern GL_POLYGON_OFFSET_FILL :: GLenum
- pattern GL_POLYGON_OFFSET_LINE :: GLenum
- pattern GL_POLYGON_OFFSET_POINT :: GLenum
- pattern GL_POLYGON_OFFSET_UNITS :: GLenum
- pattern GL_POLYGON_SMOOTH :: GLenum
- pattern GL_POLYGON_SMOOTH_HINT :: GLenum
- pattern GL_PRIMITIVES_GENERATED :: GLenum
- pattern GL_PRIMITIVE_RESTART :: GLenum
- pattern GL_PRIMITIVE_RESTART_INDEX :: GLenum
- pattern GL_PROGRAM_POINT_SIZE :: GLenum
- pattern GL_PROVOKING_VERTEX :: GLenum
- pattern GL_PROXY_TEXTURE_1D :: GLenum
- pattern GL_PROXY_TEXTURE_1D_ARRAY :: GLenum
- pattern GL_PROXY_TEXTURE_2D :: GLenum
- pattern GL_PROXY_TEXTURE_2D_ARRAY :: GLenum
- pattern GL_PROXY_TEXTURE_2D_MULTISAMPLE :: GLenum
- pattern GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_PROXY_TEXTURE_3D :: GLenum
- pattern GL_PROXY_TEXTURE_CUBE_MAP :: GLenum
- pattern GL_PROXY_TEXTURE_RECTANGLE :: GLenum
- pattern GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION :: GLenum
- pattern GL_QUERY_BY_REGION_NO_WAIT :: GLenum
- pattern GL_QUERY_BY_REGION_WAIT :: GLenum
- pattern GL_QUERY_COUNTER_BITS :: GLenum
- pattern GL_QUERY_NO_WAIT :: GLenum
- pattern GL_QUERY_RESULT :: GLenum
- pattern GL_QUERY_RESULT_AVAILABLE :: GLenum
- pattern GL_QUERY_WAIT :: GLenum
- pattern GL_R11F_G11F_B10F :: GLenum
- pattern GL_R16 :: GLenum
- pattern GL_R16F :: GLenum
- pattern GL_R16I :: GLenum
- pattern GL_R16UI :: GLenum
- pattern GL_R16_SNORM :: GLenum
- pattern GL_R32F :: GLenum
- pattern GL_R32I :: GLenum
- pattern GL_R32UI :: GLenum
- pattern GL_R3_G3_B2 :: GLenum
- pattern GL_R8 :: GLenum
- pattern GL_R8I :: GLenum
- pattern GL_R8UI :: GLenum
- pattern GL_R8_SNORM :: GLenum
- pattern GL_RASTERIZER_DISCARD :: GLenum
- pattern GL_READ_BUFFER :: GLenum
- pattern GL_READ_FRAMEBUFFER :: GLenum
- pattern GL_READ_FRAMEBUFFER_BINDING :: GLenum
- pattern GL_READ_ONLY :: GLenum
- pattern GL_READ_WRITE :: GLenum
- pattern GL_RED :: GLenum
- pattern GL_RED_INTEGER :: GLenum
- pattern GL_RENDERBUFFER :: GLenum
- pattern GL_RENDERBUFFER_ALPHA_SIZE :: GLenum
- pattern GL_RENDERBUFFER_BINDING :: GLenum
- pattern GL_RENDERBUFFER_BLUE_SIZE :: GLenum
- pattern GL_RENDERBUFFER_DEPTH_SIZE :: GLenum
- pattern GL_RENDERBUFFER_GREEN_SIZE :: GLenum
- pattern GL_RENDERBUFFER_HEIGHT :: GLenum
- pattern GL_RENDERBUFFER_INTERNAL_FORMAT :: GLenum
- pattern GL_RENDERBUFFER_RED_SIZE :: GLenum
- pattern GL_RENDERBUFFER_SAMPLES :: GLenum
- pattern GL_RENDERBUFFER_STENCIL_SIZE :: GLenum
- pattern GL_RENDERBUFFER_WIDTH :: GLenum
- pattern GL_RENDERER :: GLenum
- pattern GL_REPEAT :: GLenum
- pattern GL_REPLACE :: GLenum
- pattern GL_RG :: GLenum
- pattern GL_RG16 :: GLenum
- pattern GL_RG16F :: GLenum
- pattern GL_RG16I :: GLenum
- pattern GL_RG16UI :: GLenum
- pattern GL_RG16_SNORM :: GLenum
- pattern GL_RG32F :: GLenum
- pattern GL_RG32I :: GLenum
- pattern GL_RG32UI :: GLenum
- pattern GL_RG8 :: GLenum
- pattern GL_RG8I :: GLenum
- pattern GL_RG8UI :: GLenum
- pattern GL_RG8_SNORM :: GLenum
- pattern GL_RGB :: GLenum
- pattern GL_RGB10 :: GLenum
- pattern GL_RGB10_A2 :: GLenum
- pattern GL_RGB10_A2UI :: GLenum
- pattern GL_RGB12 :: GLenum
- pattern GL_RGB16 :: GLenum
- pattern GL_RGB16F :: GLenum
- pattern GL_RGB16I :: GLenum
- pattern GL_RGB16UI :: GLenum
- pattern GL_RGB16_SNORM :: GLenum
- pattern GL_RGB32F :: GLenum
- pattern GL_RGB32I :: GLenum
- pattern GL_RGB32UI :: GLenum
- pattern GL_RGB4 :: GLenum
- pattern GL_RGB5 :: GLenum
- pattern GL_RGB5_A1 :: GLenum
- pattern GL_RGB8 :: GLenum
- pattern GL_RGB8I :: GLenum
- pattern GL_RGB8UI :: GLenum
- pattern GL_RGB8_SNORM :: GLenum
- pattern GL_RGB9_E5 :: GLenum
- pattern GL_RGBA :: GLenum
- pattern GL_RGBA12 :: GLenum
- pattern GL_RGBA16 :: GLenum
- pattern GL_RGBA16F :: GLenum
- pattern GL_RGBA16I :: GLenum
- pattern GL_RGBA16UI :: GLenum
- pattern GL_RGBA16_SNORM :: GLenum
- pattern GL_RGBA2 :: GLenum
- pattern GL_RGBA32F :: GLenum
- pattern GL_RGBA32I :: GLenum
- pattern GL_RGBA32UI :: GLenum
- pattern GL_RGBA4 :: GLenum
- pattern GL_RGBA8 :: GLenum
- pattern GL_RGBA8I :: GLenum
- pattern GL_RGBA8UI :: GLenum
- pattern GL_RGBA8_SNORM :: GLenum
- pattern GL_RGBA_INTEGER :: GLenum
- pattern GL_RGB_INTEGER :: GLenum
- pattern GL_RG_INTEGER :: GLenum
- pattern GL_RIGHT :: GLenum
- pattern GL_SAMPLER_1D :: GLenum
- pattern GL_SAMPLER_1D_ARRAY :: GLenum
- pattern GL_SAMPLER_1D_ARRAY_SHADOW :: GLenum
- pattern GL_SAMPLER_1D_SHADOW :: GLenum
- pattern GL_SAMPLER_2D :: GLenum
- pattern GL_SAMPLER_2D_ARRAY :: GLenum
- pattern GL_SAMPLER_2D_ARRAY_SHADOW :: GLenum
- pattern GL_SAMPLER_2D_MULTISAMPLE :: GLenum
- pattern GL_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_SAMPLER_2D_RECT :: GLenum
- pattern GL_SAMPLER_2D_RECT_SHADOW :: GLenum
- pattern GL_SAMPLER_2D_SHADOW :: GLenum
- pattern GL_SAMPLER_3D :: GLenum
- pattern GL_SAMPLER_BINDING :: GLenum
- pattern GL_SAMPLER_BUFFER :: GLenum
- pattern GL_SAMPLER_CUBE :: GLenum
- pattern GL_SAMPLER_CUBE_SHADOW :: GLenum
- pattern GL_SAMPLES :: GLenum
- pattern GL_SAMPLES_PASSED :: GLenum
- pattern GL_SAMPLE_ALPHA_TO_COVERAGE :: GLenum
- pattern GL_SAMPLE_ALPHA_TO_ONE :: GLenum
- pattern GL_SAMPLE_BUFFERS :: GLenum
- pattern GL_SAMPLE_COVERAGE :: GLenum
- pattern GL_SAMPLE_COVERAGE_INVERT :: GLenum
- pattern GL_SAMPLE_COVERAGE_VALUE :: GLenum
- pattern GL_SAMPLE_MASK :: GLenum
- pattern GL_SAMPLE_MASK_VALUE :: GLenum
- pattern GL_SAMPLE_POSITION :: GLenum
- pattern GL_SCISSOR_BOX :: GLenum
- pattern GL_SCISSOR_TEST :: GLenum
- pattern GL_SEPARATE_ATTRIBS :: GLenum
- pattern GL_SET :: GLenum
- pattern GL_SHADER_SOURCE_LENGTH :: GLenum
- pattern GL_SHADER_TYPE :: GLenum
- pattern GL_SHADING_LANGUAGE_VERSION :: GLenum
- pattern GL_SHORT :: GLenum
- pattern GL_SIGNALED :: GLenum
- pattern GL_SIGNED_NORMALIZED :: GLenum
- pattern GL_SMOOTH_LINE_WIDTH_GRANULARITY :: GLenum
- pattern GL_SMOOTH_LINE_WIDTH_RANGE :: GLenum
- pattern GL_SMOOTH_POINT_SIZE_GRANULARITY :: GLenum
- pattern GL_SMOOTH_POINT_SIZE_RANGE :: GLenum
- pattern GL_SRC1_ALPHA :: GLenum
- pattern GL_SRC1_COLOR :: GLenum
- pattern GL_SRC_ALPHA :: GLenum
- pattern GL_SRC_ALPHA_SATURATE :: GLenum
- pattern GL_SRC_COLOR :: GLenum
- pattern GL_SRGB :: GLenum
- pattern GL_SRGB8 :: GLenum
- pattern GL_SRGB8_ALPHA8 :: GLenum
- pattern GL_SRGB_ALPHA :: GLenum
- pattern GL_STATIC_COPY :: GLenum
- pattern GL_STATIC_DRAW :: GLenum
- pattern GL_STATIC_READ :: GLenum
- pattern GL_STENCIL :: GLenum
- pattern GL_STENCIL_ATTACHMENT :: GLenum
- pattern GL_STENCIL_BACK_FAIL :: GLenum
- pattern GL_STENCIL_BACK_FUNC :: GLenum
- pattern GL_STENCIL_BACK_PASS_DEPTH_FAIL :: GLenum
- pattern GL_STENCIL_BACK_PASS_DEPTH_PASS :: GLenum
- pattern GL_STENCIL_BACK_REF :: GLenum
- pattern GL_STENCIL_BACK_VALUE_MASK :: GLenum
- pattern GL_STENCIL_BACK_WRITEMASK :: GLenum
- pattern GL_STENCIL_BUFFER_BIT :: GLbitfield
- pattern GL_STENCIL_CLEAR_VALUE :: GLenum
- pattern GL_STENCIL_FAIL :: GLenum
- pattern GL_STENCIL_FUNC :: GLenum
- pattern GL_STENCIL_INDEX :: GLenum
- pattern GL_STENCIL_INDEX1 :: GLenum
- pattern GL_STENCIL_INDEX16 :: GLenum
- pattern GL_STENCIL_INDEX4 :: GLenum
- pattern GL_STENCIL_INDEX8 :: GLenum
- pattern GL_STENCIL_PASS_DEPTH_FAIL :: GLenum
- pattern GL_STENCIL_PASS_DEPTH_PASS :: GLenum
- pattern GL_STENCIL_REF :: GLenum
- pattern GL_STENCIL_TEST :: GLenum
- pattern GL_STENCIL_VALUE_MASK :: GLenum
- pattern GL_STENCIL_WRITEMASK :: GLenum
- pattern GL_STEREO :: GLenum
- pattern GL_STREAM_COPY :: GLenum
- pattern GL_STREAM_DRAW :: GLenum
- pattern GL_STREAM_READ :: GLenum
- pattern GL_SUBPIXEL_BITS :: GLenum
- pattern GL_SYNC_CONDITION :: GLenum
- pattern GL_SYNC_FENCE :: GLenum
- pattern GL_SYNC_FLAGS :: GLenum
- pattern GL_SYNC_FLUSH_COMMANDS_BIT :: GLbitfield
- pattern GL_SYNC_GPU_COMMANDS_COMPLETE :: GLenum
- pattern GL_SYNC_STATUS :: GLenum
- pattern GL_TEXTURE :: GLenum
- pattern GL_TEXTURE0 :: GLenum
- pattern GL_TEXTURE1 :: GLenum
- pattern GL_TEXTURE10 :: GLenum
- pattern GL_TEXTURE11 :: GLenum
- pattern GL_TEXTURE12 :: GLenum
- pattern GL_TEXTURE13 :: GLenum
- pattern GL_TEXTURE14 :: GLenum
- pattern GL_TEXTURE15 :: GLenum
- pattern GL_TEXTURE16 :: GLenum
- pattern GL_TEXTURE17 :: GLenum
- pattern GL_TEXTURE18 :: GLenum
- pattern GL_TEXTURE19 :: GLenum
- pattern GL_TEXTURE2 :: GLenum
- pattern GL_TEXTURE20 :: GLenum
- pattern GL_TEXTURE21 :: GLenum
- pattern GL_TEXTURE22 :: GLenum
- pattern GL_TEXTURE23 :: GLenum
- pattern GL_TEXTURE24 :: GLenum
- pattern GL_TEXTURE25 :: GLenum
- pattern GL_TEXTURE26 :: GLenum
- pattern GL_TEXTURE27 :: GLenum
- pattern GL_TEXTURE28 :: GLenum
- pattern GL_TEXTURE29 :: GLenum
- pattern GL_TEXTURE3 :: GLenum
- pattern GL_TEXTURE30 :: GLenum
- pattern GL_TEXTURE31 :: GLenum
- pattern GL_TEXTURE4 :: GLenum
- pattern GL_TEXTURE5 :: GLenum
- pattern GL_TEXTURE6 :: GLenum
- pattern GL_TEXTURE7 :: GLenum
- pattern GL_TEXTURE8 :: GLenum
- pattern GL_TEXTURE9 :: GLenum
- pattern GL_TEXTURE_1D :: GLenum
- pattern GL_TEXTURE_1D_ARRAY :: GLenum
- pattern GL_TEXTURE_2D :: GLenum
- pattern GL_TEXTURE_2D_ARRAY :: GLenum
- pattern GL_TEXTURE_2D_MULTISAMPLE :: GLenum
- pattern GL_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_TEXTURE_3D :: GLenum
- pattern GL_TEXTURE_ALPHA_SIZE :: GLenum
- pattern GL_TEXTURE_ALPHA_TYPE :: GLenum
- pattern GL_TEXTURE_BASE_LEVEL :: GLenum
- pattern GL_TEXTURE_BINDING_1D :: GLenum
- pattern GL_TEXTURE_BINDING_1D_ARRAY :: GLenum
- pattern GL_TEXTURE_BINDING_2D :: GLenum
- pattern GL_TEXTURE_BINDING_2D_ARRAY :: GLenum
- pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum
- pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_TEXTURE_BINDING_3D :: GLenum
- pattern GL_TEXTURE_BINDING_BUFFER :: GLenum
- pattern GL_TEXTURE_BINDING_CUBE_MAP :: GLenum
- pattern GL_TEXTURE_BINDING_RECTANGLE :: GLenum
- pattern GL_TEXTURE_BLUE_SIZE :: GLenum
- pattern GL_TEXTURE_BLUE_TYPE :: GLenum
- pattern GL_TEXTURE_BORDER_COLOR :: GLenum
- pattern GL_TEXTURE_BUFFER :: GLenum
- pattern GL_TEXTURE_BUFFER_DATA_STORE_BINDING :: GLenum
- pattern GL_TEXTURE_COMPARE_FUNC :: GLenum
- pattern GL_TEXTURE_COMPARE_MODE :: GLenum
- pattern GL_TEXTURE_COMPRESSED :: GLenum
- pattern GL_TEXTURE_COMPRESSED_IMAGE_SIZE :: GLenum
- pattern GL_TEXTURE_COMPRESSION_HINT :: GLenum
- pattern GL_TEXTURE_CUBE_MAP :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_X :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_Y :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_Z :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_POSITIVE_X :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_POSITIVE_Y :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_POSITIVE_Z :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_SEAMLESS :: GLenum
- pattern GL_TEXTURE_DEPTH :: GLenum
- pattern GL_TEXTURE_DEPTH_SIZE :: GLenum
- pattern GL_TEXTURE_DEPTH_TYPE :: GLenum
- pattern GL_TEXTURE_FIXED_SAMPLE_LOCATIONS :: GLenum
- pattern GL_TEXTURE_GREEN_SIZE :: GLenum
- pattern GL_TEXTURE_GREEN_TYPE :: GLenum
- pattern GL_TEXTURE_HEIGHT :: GLenum
- pattern GL_TEXTURE_INTERNAL_FORMAT :: GLenum
- pattern GL_TEXTURE_LOD_BIAS :: GLenum
- pattern GL_TEXTURE_MAG_FILTER :: GLenum
- pattern GL_TEXTURE_MAX_LEVEL :: GLenum
- pattern GL_TEXTURE_MAX_LOD :: GLenum
- pattern GL_TEXTURE_MIN_FILTER :: GLenum
- pattern GL_TEXTURE_MIN_LOD :: GLenum
- pattern GL_TEXTURE_RECTANGLE :: GLenum
- pattern GL_TEXTURE_RED_SIZE :: GLenum
- pattern GL_TEXTURE_RED_TYPE :: GLenum
- pattern GL_TEXTURE_SAMPLES :: GLenum
- pattern GL_TEXTURE_SHARED_SIZE :: GLenum
- pattern GL_TEXTURE_STENCIL_SIZE :: GLenum
- pattern GL_TEXTURE_SWIZZLE_A :: GLenum
- pattern GL_TEXTURE_SWIZZLE_B :: GLenum
- pattern GL_TEXTURE_SWIZZLE_G :: GLenum
- pattern GL_TEXTURE_SWIZZLE_R :: GLenum
- pattern GL_TEXTURE_SWIZZLE_RGBA :: GLenum
- pattern GL_TEXTURE_WIDTH :: GLenum
- pattern GL_TEXTURE_WRAP_R :: GLenum
- pattern GL_TEXTURE_WRAP_S :: GLenum
- pattern GL_TEXTURE_WRAP_T :: GLenum
- pattern GL_TIMEOUT_EXPIRED :: GLenum
- pattern GL_TIMEOUT_IGNORED :: GLuint64
- pattern GL_TIMESTAMP :: GLenum
- pattern GL_TIME_ELAPSED :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_BINDING :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_MODE :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_SIZE :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_BUFFER_START :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_VARYINGS :: GLenum
- pattern GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH :: GLenum
- pattern GL_TRIANGLES :: GLenum
- pattern GL_TRIANGLES_ADJACENCY :: GLenum
- pattern GL_TRIANGLE_FAN :: GLenum
- pattern GL_TRIANGLE_STRIP :: GLenum
- pattern GL_TRIANGLE_STRIP_ADJACENCY :: GLenum
- pattern GL_TRUE :: GLboolean
- pattern GL_UNIFORM_ARRAY_STRIDE :: GLenum
- pattern GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS :: GLenum
- pattern GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES :: GLenum
- pattern GL_UNIFORM_BLOCK_BINDING :: GLenum
- pattern GL_UNIFORM_BLOCK_DATA_SIZE :: GLenum
- pattern GL_UNIFORM_BLOCK_INDEX :: GLenum
- pattern GL_UNIFORM_BLOCK_NAME_LENGTH :: GLenum
- pattern GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER :: GLenum
- pattern GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER :: GLenum
- pattern GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER :: GLenum
- pattern GL_UNIFORM_BUFFER :: GLenum
- pattern GL_UNIFORM_BUFFER_BINDING :: GLenum
- pattern GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT :: GLenum
- pattern GL_UNIFORM_BUFFER_SIZE :: GLenum
- pattern GL_UNIFORM_BUFFER_START :: GLenum
- pattern GL_UNIFORM_IS_ROW_MAJOR :: GLenum
- pattern GL_UNIFORM_MATRIX_STRIDE :: GLenum
- pattern GL_UNIFORM_NAME_LENGTH :: GLenum
- pattern GL_UNIFORM_OFFSET :: GLenum
- pattern GL_UNIFORM_SIZE :: GLenum
- pattern GL_UNIFORM_TYPE :: GLenum
- pattern GL_UNPACK_ALIGNMENT :: GLenum
- pattern GL_UNPACK_IMAGE_HEIGHT :: GLenum
- pattern GL_UNPACK_LSB_FIRST :: GLenum
- pattern GL_UNPACK_ROW_LENGTH :: GLenum
- pattern GL_UNPACK_SKIP_IMAGES :: GLenum
- pattern GL_UNPACK_SKIP_PIXELS :: GLenum
- pattern GL_UNPACK_SKIP_ROWS :: GLenum
- pattern GL_UNPACK_SWAP_BYTES :: GLenum
- pattern GL_UNSIGNALED :: GLenum
- pattern GL_UNSIGNED_BYTE :: GLenum
- pattern GL_UNSIGNED_BYTE_2_3_3_REV :: GLenum
- pattern GL_UNSIGNED_BYTE_3_3_2 :: GLenum
- pattern GL_UNSIGNED_INT :: GLenum
- pattern GL_UNSIGNED_INT_10F_11F_11F_REV :: GLenum
- pattern GL_UNSIGNED_INT_10_10_10_2 :: GLenum
- pattern GL_UNSIGNED_INT_24_8 :: GLenum
- pattern GL_UNSIGNED_INT_2_10_10_10_REV :: GLenum
- pattern GL_UNSIGNED_INT_5_9_9_9_REV :: GLenum
- pattern GL_UNSIGNED_INT_8_8_8_8 :: GLenum
- pattern GL_UNSIGNED_INT_8_8_8_8_REV :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_1D :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_1D_ARRAY :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_2D :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_2D_ARRAY :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_2D_RECT :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_3D :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_BUFFER :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_CUBE :: GLenum
- pattern GL_UNSIGNED_INT_VEC2 :: GLenum
- pattern GL_UNSIGNED_INT_VEC3 :: GLenum
- pattern GL_UNSIGNED_INT_VEC4 :: GLenum
- pattern GL_UNSIGNED_NORMALIZED :: GLenum
- pattern GL_UNSIGNED_SHORT :: GLenum
- pattern GL_UNSIGNED_SHORT_1_5_5_5_REV :: GLenum
- pattern GL_UNSIGNED_SHORT_4_4_4_4 :: GLenum
- pattern GL_UNSIGNED_SHORT_4_4_4_4_REV :: GLenum
- pattern GL_UNSIGNED_SHORT_5_5_5_1 :: GLenum
- pattern GL_UNSIGNED_SHORT_5_6_5 :: GLenum
- pattern GL_UNSIGNED_SHORT_5_6_5_REV :: GLenum
- pattern GL_UPPER_LEFT :: GLenum
- pattern GL_VALIDATE_STATUS :: GLenum
- pattern GL_VENDOR :: GLenum
- pattern GL_VERSION :: GLenum
- pattern GL_VERTEX_ARRAY_BINDING :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_DIVISOR :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_ENABLED :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_INTEGER :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_NORMALIZED :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_POINTER :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_SIZE :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_STRIDE :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_TYPE :: GLenum
- pattern GL_VERTEX_PROGRAM_POINT_SIZE :: GLenum
- pattern GL_VERTEX_SHADER :: GLenum
- pattern GL_VIEWPORT :: GLenum
- pattern GL_WAIT_FAILED :: GLenum
- pattern GL_WRITE_ONLY :: GLenum
- pattern GL_XOR :: GLenum
- pattern GL_ZERO :: GLenum
- glActiveTexture :: MonadIO m => GLenum -> m ()
- glAttachShader :: MonadIO m => GLuint -> GLuint -> m ()
- glBeginConditionalRender :: MonadIO m => GLuint -> GLenum -> m ()
- glBeginQuery :: MonadIO m => GLenum -> GLuint -> m ()
- glBeginTransformFeedback :: MonadIO m => GLenum -> m ()
- glBindAttribLocation :: MonadIO m => GLuint -> GLuint -> Ptr GLchar -> m ()
- glBindBuffer :: MonadIO m => GLenum -> GLuint -> m ()
- glBindBufferBase :: MonadIO m => GLenum -> GLuint -> GLuint -> m ()
- glBindBufferRange :: MonadIO m => GLenum -> GLuint -> GLuint -> GLintptr -> GLsizeiptr -> m ()
- glBindFragDataLocation :: MonadIO m => GLuint -> GLuint -> Ptr GLchar -> m ()
- glBindFragDataLocationIndexed :: MonadIO m => GLuint -> GLuint -> GLuint -> Ptr GLchar -> m ()
- glBindFramebuffer :: MonadIO m => GLenum -> GLuint -> m ()
- glBindRenderbuffer :: MonadIO m => GLenum -> GLuint -> m ()
- glBindSampler :: MonadIO m => GLuint -> GLuint -> m ()
- glBindTexture :: MonadIO m => GLenum -> GLuint -> m ()
- glBindVertexArray :: MonadIO m => GLuint -> m ()
- glBlendColor :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glBlendEquation :: MonadIO m => GLenum -> m ()
- glBlendEquationSeparate :: MonadIO m => GLenum -> GLenum -> m ()
- glBlendFunc :: MonadIO m => GLenum -> GLenum -> m ()
- glBlendFuncSeparate :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glBlitFramebuffer :: MonadIO m => GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLbitfield -> GLenum -> m ()
- glBufferData :: MonadIO m => GLenum -> GLsizeiptr -> Ptr a -> GLenum -> m ()
- glBufferSubData :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glCheckFramebufferStatus :: MonadIO m => GLenum -> m GLenum
- glClampColor :: MonadIO m => GLenum -> GLenum -> m ()
- glClear :: MonadIO m => GLbitfield -> m ()
- glClearBufferfi :: MonadIO m => GLenum -> GLint -> GLfloat -> GLint -> m ()
- glClearBufferfv :: MonadIO m => GLenum -> GLint -> Ptr GLfloat -> m ()
- glClearBufferiv :: MonadIO m => GLenum -> GLint -> Ptr GLint -> m ()
- glClearBufferuiv :: MonadIO m => GLenum -> GLint -> Ptr GLuint -> m ()
- glClearColor :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glClearDepth :: MonadIO m => GLdouble -> m ()
- glClearStencil :: MonadIO m => GLint -> m ()
- glClientWaitSync :: MonadIO m => GLsync -> GLbitfield -> GLuint64 -> m GLenum
- glColorMask :: MonadIO m => GLboolean -> GLboolean -> GLboolean -> GLboolean -> m ()
- glColorMaski :: MonadIO m => GLuint -> GLboolean -> GLboolean -> GLboolean -> GLboolean -> m ()
- glCompileShader :: MonadIO m => GLuint -> m ()
- glCompressedTexImage1D :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTexImage2D :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTexImage3D :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTexSubImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTexSubImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTexSubImage3D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCopyBufferSubData :: MonadIO m => GLenum -> GLenum -> GLintptr -> GLintptr -> GLsizeiptr -> m ()
- glCopyTexImage1D :: MonadIO m => GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLint -> m ()
- glCopyTexImage2D :: MonadIO m => GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> m ()
- glCopyTexSubImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> m ()
- glCopyTexSubImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCopyTexSubImage3D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCreateProgram :: MonadIO m => m GLuint
- glCreateShader :: MonadIO m => GLenum -> m GLuint
- glCullFace :: MonadIO m => GLenum -> m ()
- glDeleteBuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteFramebuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteProgram :: MonadIO m => GLuint -> m ()
- glDeleteQueries :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteRenderbuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteSamplers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteShader :: MonadIO m => GLuint -> m ()
- glDeleteSync :: MonadIO m => GLsync -> m ()
- glDeleteTextures :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteVertexArrays :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDepthFunc :: MonadIO m => GLenum -> m ()
- glDepthMask :: MonadIO m => GLboolean -> m ()
- glDepthRange :: MonadIO m => GLdouble -> GLdouble -> m ()
- glDetachShader :: MonadIO m => GLuint -> GLuint -> m ()
- glDisable :: MonadIO m => GLenum -> m ()
- glDisableVertexAttribArray :: MonadIO m => GLuint -> m ()
- glDisablei :: MonadIO m => GLenum -> GLuint -> m ()
- glDrawArrays :: MonadIO m => GLenum -> GLint -> GLsizei -> m ()
- glDrawArraysInstanced :: MonadIO m => GLenum -> GLint -> GLsizei -> GLsizei -> m ()
- glDrawBuffer :: MonadIO m => GLenum -> m ()
- glDrawBuffers :: MonadIO m => GLsizei -> Ptr GLenum -> m ()
- glDrawElements :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> m ()
- glDrawElementsBaseVertex :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> GLint -> m ()
- glDrawElementsInstanced :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> m ()
- glDrawElementsInstancedBaseVertex :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> GLint -> m ()
- glDrawRangeElements :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> m ()
- glDrawRangeElementsBaseVertex :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> GLint -> m ()
- glEnable :: MonadIO m => GLenum -> m ()
- glEnableVertexAttribArray :: MonadIO m => GLuint -> m ()
- glEnablei :: MonadIO m => GLenum -> GLuint -> m ()
- glEndConditionalRender :: MonadIO m => m ()
- glEndQuery :: MonadIO m => GLenum -> m ()
- glEndTransformFeedback :: MonadIO m => m ()
- glFenceSync :: MonadIO m => GLenum -> GLbitfield -> m GLsync
- glFinish :: MonadIO m => m ()
- glFlush :: MonadIO m => m ()
- glFlushMappedBufferRange :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> m ()
- glFramebufferRenderbuffer :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> m ()
- glFramebufferTexture :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture1D :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture2D :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture3D :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glFramebufferTextureLayer :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glFrontFace :: MonadIO m => GLenum -> m ()
- glGenBuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenFramebuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenQueries :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenRenderbuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenSamplers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenTextures :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenVertexArrays :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenerateMipmap :: MonadIO m => GLenum -> m ()
- glGetActiveAttrib :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLint -> Ptr GLenum -> Ptr GLchar -> m ()
- glGetActiveUniform :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLint -> Ptr GLenum -> Ptr GLchar -> m ()
- glGetActiveUniformBlockName :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetActiveUniformBlockiv :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLint -> m ()
- glGetActiveUniformName :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetActiveUniformsiv :: MonadIO m => GLuint -> GLsizei -> Ptr GLuint -> GLenum -> Ptr GLint -> m ()
- glGetAttachedShaders :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLuint -> m ()
- glGetAttribLocation :: MonadIO m => GLuint -> Ptr GLchar -> m GLint
- glGetBooleani_v :: MonadIO m => GLenum -> GLuint -> Ptr GLboolean -> m ()
- glGetBooleanv :: MonadIO m => GLenum -> Ptr GLboolean -> m ()
- glGetBufferParameteri64v :: MonadIO m => GLenum -> GLenum -> Ptr GLint64 -> m ()
- glGetBufferParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetBufferPointerv :: MonadIO m => GLenum -> GLenum -> Ptr (Ptr a) -> m ()
- glGetBufferSubData :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glGetCompressedTexImage :: MonadIO m => GLenum -> GLint -> Ptr a -> m ()
- glGetDoublev :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glGetError :: MonadIO m => m GLenum
- glGetFloatv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glGetFragDataIndex :: MonadIO m => GLuint -> Ptr GLchar -> m GLint
- glGetFragDataLocation :: MonadIO m => GLuint -> Ptr GLchar -> m GLint
- glGetFramebufferAttachmentParameteriv :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetInteger64i_v :: MonadIO m => GLenum -> GLuint -> Ptr GLint64 -> m ()
- glGetInteger64v :: MonadIO m => GLenum -> Ptr GLint64 -> m ()
- glGetIntegeri_v :: MonadIO m => GLenum -> GLuint -> Ptr GLint -> m ()
- glGetIntegerv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glGetMultisamplefv :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGetProgramInfoLog :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetProgramiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetQueryObjecti64v :: MonadIO m => GLuint -> GLenum -> Ptr GLint64 -> m ()
- glGetQueryObjectiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetQueryObjectui64v :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64 -> m ()
- glGetQueryObjectuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glGetQueryiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetRenderbufferParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetSamplerParameterIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetSamplerParameterIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glGetSamplerParameterfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetSamplerParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetShaderInfoLog :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetShaderSource :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetShaderiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetString :: MonadIO m => GLenum -> m (Ptr GLubyte)
- glGetStringi :: MonadIO m => GLenum -> GLuint -> m (Ptr GLubyte)
- glGetSynciv :: MonadIO m => GLsync -> GLenum -> GLsizei -> Ptr GLsizei -> Ptr GLint -> m ()
- glGetTexImage :: MonadIO m => GLenum -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glGetTexLevelParameterfv :: MonadIO m => GLenum -> GLint -> GLenum -> Ptr GLfloat -> m ()
- glGetTexLevelParameteriv :: MonadIO m => GLenum -> GLint -> GLenum -> Ptr GLint -> m ()
- glGetTexParameterIiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetTexParameterIuiv :: MonadIO m => GLenum -> GLenum -> Ptr GLuint -> m ()
- glGetTexParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetTexParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetTransformFeedbackVarying :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLsizei -> Ptr GLenum -> Ptr GLchar -> m ()
- glGetUniformBlockIndex :: MonadIO m => GLuint -> Ptr GLchar -> m GLuint
- glGetUniformIndices :: MonadIO m => GLuint -> GLsizei -> Ptr (Ptr GLchar) -> Ptr GLuint -> m ()
- glGetUniformLocation :: MonadIO m => GLuint -> Ptr GLchar -> m GLint
- glGetUniformfv :: MonadIO m => GLuint -> GLint -> Ptr GLfloat -> m ()
- glGetUniformiv :: MonadIO m => GLuint -> GLint -> Ptr GLint -> m ()
- glGetUniformuiv :: MonadIO m => GLuint -> GLint -> Ptr GLuint -> m ()
- glGetVertexAttribIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVertexAttribIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glGetVertexAttribPointerv :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glGetVertexAttribdv :: MonadIO m => GLuint -> GLenum -> Ptr GLdouble -> m ()
- glGetVertexAttribfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVertexAttribiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glHint :: MonadIO m => GLenum -> GLenum -> m ()
- glIsBuffer :: MonadIO m => GLuint -> m GLboolean
- glIsEnabled :: MonadIO m => GLenum -> m GLboolean
- glIsEnabledi :: MonadIO m => GLenum -> GLuint -> m GLboolean
- glIsFramebuffer :: MonadIO m => GLuint -> m GLboolean
- glIsProgram :: MonadIO m => GLuint -> m GLboolean
- glIsQuery :: MonadIO m => GLuint -> m GLboolean
- glIsRenderbuffer :: MonadIO m => GLuint -> m GLboolean
- glIsSampler :: MonadIO m => GLuint -> m GLboolean
- glIsShader :: MonadIO m => GLuint -> m GLboolean
- glIsSync :: MonadIO m => GLsync -> m GLboolean
- glIsTexture :: MonadIO m => GLuint -> m GLboolean
- glIsVertexArray :: MonadIO m => GLuint -> m GLboolean
- glLineWidth :: MonadIO m => GLfloat -> m ()
- glLinkProgram :: MonadIO m => GLuint -> m ()
- glLogicOp :: MonadIO m => GLenum -> m ()
- glMapBuffer :: MonadIO m => GLenum -> GLenum -> m (Ptr a)
- glMapBufferRange :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> GLbitfield -> m (Ptr a)
- glMultiDrawArrays :: MonadIO m => GLenum -> Ptr GLint -> Ptr GLsizei -> GLsizei -> m ()
- glMultiDrawElements :: MonadIO m => GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> m ()
- glMultiDrawElementsBaseVertex :: MonadIO m => GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> Ptr GLint -> m ()
- glPixelStoref :: MonadIO m => GLenum -> GLfloat -> m ()
- glPixelStorei :: MonadIO m => GLenum -> GLint -> m ()
- glPointParameterf :: MonadIO m => GLenum -> GLfloat -> m ()
- glPointParameterfv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glPointParameteri :: MonadIO m => GLenum -> GLint -> m ()
- glPointParameteriv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glPointSize :: MonadIO m => GLfloat -> m ()
- glPolygonMode :: MonadIO m => GLenum -> GLenum -> m ()
- glPolygonOffset :: MonadIO m => GLfloat -> GLfloat -> m ()
- glPrimitiveRestartIndex :: MonadIO m => GLuint -> m ()
- glProvokingVertex :: MonadIO m => GLenum -> m ()
- glQueryCounter :: MonadIO m => GLuint -> GLenum -> m ()
- glReadBuffer :: MonadIO m => GLenum -> m ()
- glReadPixels :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glRenderbufferStorage :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> m ()
- glRenderbufferStorageMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glSampleCoverage :: MonadIO m => GLfloat -> GLboolean -> m ()
- glSampleMaski :: MonadIO m => GLuint -> GLbitfield -> m ()
- glSamplerParameterIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glSamplerParameterIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glSamplerParameterf :: MonadIO m => GLuint -> GLenum -> GLfloat -> m ()
- glSamplerParameterfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glSamplerParameteri :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glSamplerParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glScissor :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glShaderSource :: MonadIO m => GLuint -> GLsizei -> Ptr (Ptr GLchar) -> Ptr GLint -> m ()
- glStencilFunc :: MonadIO m => GLenum -> GLint -> GLuint -> m ()
- glStencilFuncSeparate :: MonadIO m => GLenum -> GLenum -> GLint -> GLuint -> m ()
- glStencilMask :: MonadIO m => GLuint -> m ()
- glStencilMaskSeparate :: MonadIO m => GLenum -> GLuint -> m ()
- glStencilOp :: MonadIO m => GLenum -> GLenum -> GLenum -> m ()
- glStencilOpSeparate :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glTexBuffer :: MonadIO m => GLenum -> GLenum -> GLuint -> m ()
- glTexImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexImage2DMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTexImage3D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexImage3DMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTexParameterIiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glTexParameterIuiv :: MonadIO m => GLenum -> GLenum -> Ptr GLuint -> m ()
- glTexParameterf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glTexParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glTexParameteri :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glTexParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glTexSubImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTexSubImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTexSubImage3D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTransformFeedbackVaryings :: MonadIO m => GLuint -> GLsizei -> Ptr (Ptr GLchar) -> GLenum -> m ()
- glUniform1f :: MonadIO m => GLint -> GLfloat -> m ()
- glUniform1fv :: MonadIO m => GLint -> GLsizei -> Ptr GLfloat -> m ()
- glUniform1i :: MonadIO m => GLint -> GLint -> m ()
- glUniform1iv :: MonadIO m => GLint -> GLsizei -> Ptr GLint -> m ()
- glUniform1ui :: MonadIO m => GLint -> GLuint -> m ()
- glUniform1uiv :: MonadIO m => GLint -> GLsizei -> Ptr GLuint -> m ()
- glUniform2f :: MonadIO m => GLint -> GLfloat -> GLfloat -> m ()
- glUniform2fv :: MonadIO m => GLint -> GLsizei -> Ptr GLfloat -> m ()
- glUniform2i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glUniform2iv :: MonadIO m => GLint -> GLsizei -> Ptr GLint -> m ()
- glUniform2ui :: MonadIO m => GLint -> GLuint -> GLuint -> m ()
- glUniform2uiv :: MonadIO m => GLint -> GLsizei -> Ptr GLuint -> m ()
- glUniform3f :: MonadIO m => GLint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glUniform3fv :: MonadIO m => GLint -> GLsizei -> Ptr GLfloat -> m ()
- glUniform3i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glUniform3iv :: MonadIO m => GLint -> GLsizei -> Ptr GLint -> m ()
- glUniform3ui :: MonadIO m => GLint -> GLuint -> GLuint -> GLuint -> m ()
- glUniform3uiv :: MonadIO m => GLint -> GLsizei -> Ptr GLuint -> m ()
- glUniform4f :: MonadIO m => GLint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glUniform4fv :: MonadIO m => GLint -> GLsizei -> Ptr GLfloat -> m ()
- glUniform4i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> GLint -> m ()
- glUniform4iv :: MonadIO m => GLint -> GLsizei -> Ptr GLint -> m ()
- glUniform4ui :: MonadIO m => GLint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glUniform4uiv :: MonadIO m => GLint -> GLsizei -> Ptr GLuint -> m ()
- glUniformBlockBinding :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glUniformMatrix2fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUniformMatrix2x3fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUniformMatrix2x4fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUniformMatrix3fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUniformMatrix3x2fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUniformMatrix3x4fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUniformMatrix4fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUniformMatrix4x2fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUniformMatrix4x3fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUnmapBuffer :: MonadIO m => GLenum -> m GLboolean
- glUseProgram :: MonadIO m => GLuint -> m ()
- glValidateProgram :: MonadIO m => GLuint -> m ()
- glVertexAttrib1d :: MonadIO m => GLuint -> GLdouble -> m ()
- glVertexAttrib1dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib1f :: MonadIO m => GLuint -> GLfloat -> m ()
- glVertexAttrib1fv :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib1s :: MonadIO m => GLuint -> GLshort -> m ()
- glVertexAttrib1sv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib2d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> m ()
- glVertexAttrib2dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib2f :: MonadIO m => GLuint -> GLfloat -> GLfloat -> m ()
- glVertexAttrib2fv :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib2s :: MonadIO m => GLuint -> GLshort -> GLshort -> m ()
- glVertexAttrib2sv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib3d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttrib3dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib3f :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexAttrib3fv :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib3s :: MonadIO m => GLuint -> GLshort -> GLshort -> GLshort -> m ()
- glVertexAttrib3sv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4Nbv :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVertexAttrib4Niv :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttrib4Nsv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4Nub :: MonadIO m => GLuint -> GLubyte -> GLubyte -> GLubyte -> GLubyte -> m ()
- glVertexAttrib4Nubv :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttrib4Nuiv :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttrib4Nusv :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glVertexAttrib4bv :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVertexAttrib4d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttrib4dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib4f :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexAttrib4fv :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib4iv :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttrib4s :: MonadIO m => GLuint -> GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glVertexAttrib4sv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4ubv :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttrib4uiv :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttrib4usv :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glVertexAttribDivisor :: MonadIO m => GLuint -> GLuint -> m ()
- glVertexAttribI1i :: MonadIO m => GLuint -> GLint -> m ()
- glVertexAttribI1iv :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttribI1ui :: MonadIO m => GLuint -> GLuint -> m ()
- glVertexAttribI1uiv :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttribI2i :: MonadIO m => GLuint -> GLint -> GLint -> m ()
- glVertexAttribI2iv :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttribI2ui :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glVertexAttribI2uiv :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttribI3i :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> m ()
- glVertexAttribI3iv :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttribI3ui :: MonadIO m => GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glVertexAttribI3uiv :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttribI4bv :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVertexAttribI4i :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> m ()
- glVertexAttribI4iv :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttribI4sv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttribI4ubv :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttribI4ui :: MonadIO m => GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glVertexAttribI4uiv :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttribI4usv :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glVertexAttribIPointer :: MonadIO m => GLuint -> GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glVertexAttribP1ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP1uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexAttribP2ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP2uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexAttribP3ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP3uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexAttribP4ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP4uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexAttribPointer :: MonadIO m => GLuint -> GLint -> GLenum -> GLboolean -> GLsizei -> Ptr a -> m ()
- glViewport :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glWaitSync :: MonadIO m => GLsync -> GLbitfield -> GLuint64 -> m ()

# Types

type GLbitfield = Word32 Source #

32bit bit field.

type GLboolean = Word8 Source #

8bit boolean.

type GLbyte = Int8 Source #

8bit signed two's complement binary integer.

type GLchar = CChar Source #

8bit characters making up strings.

type GLclampd = Double Source #

64bit floating-point value clamped to [0, 1].

type GLclampf = Float Source #

32bit floating-point value clamped to [0, 1].

type GLdouble = Double Source #

64bit floating-point value.

type GLenum = Word32 Source #

32bit enumerated binary integer value.

type GLfloat = Float Source #

32bit floating-point value.

type GLhalf = Half Source #

16bit half-precision floating-point value encoded in an unsigned scalar.

type GLint = Int32 Source #

32bit signed two's complement binary integer.

type GLint64 = Int64 Source #

64bit signed two's complement binary integer.

type GLintptr = CPtrdiff Source #

Pointer-sized signed two's complement binary integer.

type GLshort = Int16 Source #

16bit signed two's complement binary integer.

type GLsizei = Int32 Source #

32bit non-negative binary integer size.

type GLsizeiptr = CPtrdiff Source #

Pointer-sized non-negative binary integer size.

type GLsync = Ptr () Source #

Pointer-sized sync object handle.

type GLubyte = Word8 Source #

8bit unsigned binary integer.

type GLuint = Word32 Source #

32bit unsigned binary integer.

type GLuint64 = Word64 Source #

64bit unsigned binary integer.

type GLushort = Word16 Source #

16bit unsigned binary integer.

type GLvoid = () Source #

Not an actual GL type, though used in headers in the past.

# Enums

pattern GL_ACTIVE_ATTRIBUTES :: GLenum Source #

pattern GL_ACTIVE_ATTRIBUTE_MAX_LENGTH :: GLenum Source #

pattern GL_ACTIVE_TEXTURE :: GLenum Source #

pattern GL_ACTIVE_UNIFORMS :: GLenum Source #

pattern GL_ACTIVE_UNIFORM_BLOCKS :: GLenum Source #

pattern GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH :: GLenum Source #

pattern GL_ACTIVE_UNIFORM_MAX_LENGTH :: GLenum Source #

pattern GL_ALIASED_LINE_WIDTH_RANGE :: GLenum Source #

pattern GL_ALPHA :: GLenum Source #

pattern GL_ALREADY_SIGNALED :: GLenum Source #

pattern GL_ALWAYS :: GLenum Source #

pattern GL_AND :: GLenum Source #

pattern GL_AND_INVERTED :: GLenum Source #

pattern GL_AND_REVERSE :: GLenum Source #

pattern GL_ANY_SAMPLES_PASSED :: GLenum Source #

pattern GL_ARRAY_BUFFER :: GLenum Source #

pattern GL_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_ATTACHED_SHADERS :: GLenum Source #

pattern GL_BACK :: GLenum Source #

pattern GL_BACK_LEFT :: GLenum Source #

pattern GL_BACK_RIGHT :: GLenum Source #

pattern GL_BGR :: GLenum Source #

pattern GL_BGRA :: GLenum Source #

pattern GL_BGRA_INTEGER :: GLenum Source #

pattern GL_BGR_INTEGER :: GLenum Source #

pattern GL_BLEND :: GLenum Source #

pattern GL_BLEND_COLOR :: GLenum Source #

pattern GL_BLEND_DST :: GLenum Source #

pattern GL_BLEND_DST_ALPHA :: GLenum Source #

pattern GL_BLEND_DST_RGB :: GLenum Source #

pattern GL_BLEND_EQUATION :: GLenum Source #

pattern GL_BLEND_EQUATION_ALPHA :: GLenum Source #

pattern GL_BLEND_EQUATION_RGB :: GLenum Source #

pattern GL_BLEND_SRC :: GLenum Source #

pattern GL_BLEND_SRC_ALPHA :: GLenum Source #

pattern GL_BLEND_SRC_RGB :: GLenum Source #

pattern GL_BLUE :: GLenum Source #

pattern GL_BLUE_INTEGER :: GLenum Source #

pattern GL_BOOL :: GLenum Source #

pattern GL_BOOL_VEC2 :: GLenum Source #

pattern GL_BOOL_VEC3 :: GLenum Source #

pattern GL_BOOL_VEC4 :: GLenum Source #

pattern GL_BUFFER_ACCESS :: GLenum Source #

pattern GL_BUFFER_ACCESS_FLAGS :: GLenum Source #

pattern GL_BUFFER_MAPPED :: GLenum Source #

pattern GL_BUFFER_MAP_LENGTH :: GLenum Source #

pattern GL_BUFFER_MAP_OFFSET :: GLenum Source #

pattern GL_BUFFER_MAP_POINTER :: GLenum Source #

pattern GL_BUFFER_SIZE :: GLenum Source #

pattern GL_BUFFER_USAGE :: GLenum Source #

pattern GL_BYTE :: GLenum Source #

pattern GL_CCW :: GLenum Source #

pattern GL_CLAMP_READ_COLOR :: GLenum Source #

pattern GL_CLAMP_TO_BORDER :: GLenum Source #

pattern GL_CLAMP_TO_EDGE :: GLenum Source #

pattern GL_CLEAR :: GLenum Source #

pattern GL_CLIP_DISTANCE0 :: GLenum Source #

pattern GL_CLIP_DISTANCE1 :: GLenum Source #

pattern GL_CLIP_DISTANCE2 :: GLenum Source #

pattern GL_CLIP_DISTANCE3 :: GLenum Source #

pattern GL_CLIP_DISTANCE4 :: GLenum Source #

pattern GL_CLIP_DISTANCE5 :: GLenum Source #

pattern GL_CLIP_DISTANCE6 :: GLenum Source #

pattern GL_CLIP_DISTANCE7 :: GLenum Source #

pattern GL_COLOR :: GLenum Source #

pattern GL_COLOR_ATTACHMENT0 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT1 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT10 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT11 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT12 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT13 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT14 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT15 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT16 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT17 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT18 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT19 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT2 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT20 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT21 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT22 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT23 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT24 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT25 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT26 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT27 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT28 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT29 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT3 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT30 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT31 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT4 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT5 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT6 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT7 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT8 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT9 :: GLenum Source #

pattern GL_COLOR_BUFFER_BIT :: GLbitfield Source #

pattern GL_COLOR_CLEAR_VALUE :: GLenum Source #

pattern GL_COLOR_LOGIC_OP :: GLenum Source #

pattern GL_COLOR_WRITEMASK :: GLenum Source #

pattern GL_COMPARE_REF_TO_TEXTURE :: GLenum Source #

pattern GL_COMPILE_STATUS :: GLenum Source #

pattern GL_COMPRESSED_RED :: GLenum Source #

pattern GL_COMPRESSED_RED_RGTC1 :: GLenum Source #

pattern GL_COMPRESSED_RG :: GLenum Source #

pattern GL_COMPRESSED_RGB :: GLenum Source #

pattern GL_COMPRESSED_RGBA :: GLenum Source #

pattern GL_COMPRESSED_RG_RGTC2 :: GLenum Source #

pattern GL_COMPRESSED_SIGNED_RED_RGTC1 :: GLenum Source #

pattern GL_COMPRESSED_SIGNED_RG_RGTC2 :: GLenum Source #

pattern GL_COMPRESSED_SRGB :: GLenum Source #

pattern GL_COMPRESSED_SRGB_ALPHA :: GLenum Source #

pattern GL_COMPRESSED_TEXTURE_FORMATS :: GLenum Source #

pattern GL_CONDITION_SATISFIED :: GLenum Source #

pattern GL_CONSTANT_ALPHA :: GLenum Source #

pattern GL_CONSTANT_COLOR :: GLenum Source #

pattern GL_CONTEXT_COMPATIBILITY_PROFILE_BIT :: GLbitfield Source #

pattern GL_CONTEXT_CORE_PROFILE_BIT :: GLbitfield Source #

pattern GL_CONTEXT_FLAGS :: GLenum Source #

pattern GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT :: GLbitfield Source #

pattern GL_CONTEXT_PROFILE_MASK :: GLenum Source #

pattern GL_COPY :: GLenum Source #

pattern GL_COPY_INVERTED :: GLenum Source #

pattern GL_COPY_READ_BUFFER :: GLenum Source #

pattern GL_COPY_WRITE_BUFFER :: GLenum Source #

pattern GL_CULL_FACE :: GLenum Source #

pattern GL_CULL_FACE_MODE :: GLenum Source #

pattern GL_CURRENT_PROGRAM :: GLenum Source #

pattern GL_CURRENT_QUERY :: GLenum Source #

pattern GL_CURRENT_VERTEX_ATTRIB :: GLenum Source #

pattern GL_CW :: GLenum Source #

pattern GL_DECR :: GLenum Source #

pattern GL_DECR_WRAP :: GLenum Source #

pattern GL_DELETE_STATUS :: GLenum Source #

pattern GL_DEPTH :: GLenum Source #

pattern GL_DEPTH24_STENCIL8 :: GLenum Source #

pattern GL_DEPTH32F_STENCIL8 :: GLenum Source #

pattern GL_DEPTH_ATTACHMENT :: GLenum Source #

pattern GL_DEPTH_BUFFER_BIT :: GLbitfield Source #

pattern GL_DEPTH_CLAMP :: GLenum Source #

pattern GL_DEPTH_CLEAR_VALUE :: GLenum Source #

pattern GL_DEPTH_COMPONENT :: GLenum Source #

pattern GL_DEPTH_COMPONENT16 :: GLenum Source #

pattern GL_DEPTH_COMPONENT24 :: GLenum Source #

pattern GL_DEPTH_COMPONENT32 :: GLenum Source #

pattern GL_DEPTH_COMPONENT32F :: GLenum Source #

pattern GL_DEPTH_FUNC :: GLenum Source #

pattern GL_DEPTH_RANGE :: GLenum Source #

pattern GL_DEPTH_STENCIL :: GLenum Source #

pattern GL_DEPTH_STENCIL_ATTACHMENT :: GLenum Source #

pattern GL_DEPTH_TEST :: GLenum Source #

pattern GL_DEPTH_WRITEMASK :: GLenum Source #

pattern GL_DITHER :: GLenum Source #

pattern GL_DONT_CARE :: GLenum Source #

pattern GL_DOUBLE :: GLenum Source #

pattern GL_DOUBLEBUFFER :: GLenum Source #

pattern GL_DRAW_BUFFER :: GLenum Source #

pattern GL_DRAW_BUFFER0 :: GLenum Source #

pattern GL_DRAW_BUFFER1 :: GLenum Source #

pattern GL_DRAW_BUFFER10 :: GLenum Source #

pattern GL_DRAW_BUFFER11 :: GLenum Source #

pattern GL_DRAW_BUFFER12 :: GLenum Source #

pattern GL_DRAW_BUFFER13 :: GLenum Source #

pattern GL_DRAW_BUFFER14 :: GLenum Source #

pattern GL_DRAW_BUFFER15 :: GLenum Source #

pattern GL_DRAW_BUFFER2 :: GLenum Source #

pattern GL_DRAW_BUFFER3 :: GLenum Source #

pattern GL_DRAW_BUFFER4 :: GLenum Source #

pattern GL_DRAW_BUFFER5 :: GLenum Source #

pattern GL_DRAW_BUFFER6 :: GLenum Source #

pattern GL_DRAW_BUFFER7 :: GLenum Source #

pattern GL_DRAW_BUFFER8 :: GLenum Source #

pattern GL_DRAW_BUFFER9 :: GLenum Source #

pattern GL_DRAW_FRAMEBUFFER :: GLenum Source #

pattern GL_DRAW_FRAMEBUFFER_BINDING :: GLenum Source #

pattern GL_DST_ALPHA :: GLenum Source #

pattern GL_DST_COLOR :: GLenum Source #

pattern GL_DYNAMIC_COPY :: GLenum Source #

pattern GL_DYNAMIC_DRAW :: GLenum Source #

pattern GL_DYNAMIC_READ :: GLenum Source #

pattern GL_ELEMENT_ARRAY_BUFFER :: GLenum Source #

pattern GL_ELEMENT_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_EQUAL :: GLenum Source #

pattern GL_EQUIV :: GLenum Source #

pattern GL_EXTENSIONS :: GLenum Source #

pattern GL_FALSE :: GLboolean Source #

pattern GL_FASTEST :: GLenum Source #

pattern GL_FILL :: GLenum Source #

pattern GL_FIRST_VERTEX_CONVENTION :: GLenum Source #

pattern GL_FIXED_ONLY :: GLenum Source #

pattern GL_FLOAT :: GLenum Source #

pattern GL_FLOAT_32_UNSIGNED_INT_24_8_REV :: GLenum Source #

pattern GL_FLOAT_MAT2 :: GLenum Source #

pattern GL_FLOAT_MAT2x3 :: GLenum Source #

pattern GL_FLOAT_MAT2x4 :: GLenum Source #

pattern GL_FLOAT_MAT3 :: GLenum Source #

pattern GL_FLOAT_MAT3x2 :: GLenum Source #

pattern GL_FLOAT_MAT3x4 :: GLenum Source #

pattern GL_FLOAT_MAT4 :: GLenum Source #

pattern GL_FLOAT_MAT4x2 :: GLenum Source #

pattern GL_FLOAT_MAT4x3 :: GLenum Source #

pattern GL_FLOAT_VEC2 :: GLenum Source #

pattern GL_FLOAT_VEC3 :: GLenum Source #

pattern GL_FLOAT_VEC4 :: GLenum Source #

pattern GL_FRAGMENT_SHADER :: GLenum Source #

pattern GL_FRAGMENT_SHADER_DERIVATIVE_HINT :: GLenum Source #

pattern GL_FRAMEBUFFER :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_LAYERED :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL :: GLenum Source #

pattern GL_FRAMEBUFFER_BINDING :: GLenum Source #

pattern GL_FRAMEBUFFER_COMPLETE :: GLenum Source #

pattern GL_FRAMEBUFFER_DEFAULT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER :: GLenum Source #

pattern GL_FRAMEBUFFER_SRGB :: GLenum Source #

pattern GL_FRAMEBUFFER_UNDEFINED :: GLenum Source #

pattern GL_FRAMEBUFFER_UNSUPPORTED :: GLenum Source #

pattern GL_FRONT :: GLenum Source #

pattern GL_FRONT_AND_BACK :: GLenum Source #

pattern GL_FRONT_FACE :: GLenum Source #

pattern GL_FRONT_LEFT :: GLenum Source #

pattern GL_FRONT_RIGHT :: GLenum Source #

pattern GL_FUNC_ADD :: GLenum Source #

pattern GL_FUNC_REVERSE_SUBTRACT :: GLenum Source #

pattern GL_FUNC_SUBTRACT :: GLenum Source #

pattern GL_GEOMETRY_INPUT_TYPE :: GLenum Source #

pattern GL_GEOMETRY_OUTPUT_TYPE :: GLenum Source #

pattern GL_GEOMETRY_SHADER :: GLenum Source #

pattern GL_GEOMETRY_VERTICES_OUT :: GLenum Source #

pattern GL_GEQUAL :: GLenum Source #

pattern GL_GREATER :: GLenum Source #

pattern GL_GREEN :: GLenum Source #

pattern GL_GREEN_INTEGER :: GLenum Source #

pattern GL_HALF_FLOAT :: GLenum Source #

pattern GL_INCR :: GLenum Source #

pattern GL_INCR_WRAP :: GLenum Source #

pattern GL_INFO_LOG_LENGTH :: GLenum Source #

pattern GL_INT :: GLenum Source #

pattern GL_INTERLEAVED_ATTRIBS :: GLenum Source #

pattern GL_INT_2_10_10_10_REV :: GLenum Source #

pattern GL_INT_SAMPLER_1D :: GLenum Source #

pattern GL_INT_SAMPLER_1D_ARRAY :: GLenum Source #

pattern GL_INT_SAMPLER_2D :: GLenum Source #

pattern GL_INT_SAMPLER_2D_ARRAY :: GLenum Source #

pattern GL_INT_SAMPLER_2D_MULTISAMPLE :: GLenum Source #

pattern GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_INT_SAMPLER_2D_RECT :: GLenum Source #

pattern GL_INT_SAMPLER_3D :: GLenum Source #

pattern GL_INT_SAMPLER_BUFFER :: GLenum Source #

pattern GL_INT_SAMPLER_CUBE :: GLenum Source #

pattern GL_INT_VEC2 :: GLenum Source #

pattern GL_INT_VEC3 :: GLenum Source #

pattern GL_INT_VEC4 :: GLenum Source #

pattern GL_INVALID_ENUM :: GLenum Source #

pattern GL_INVALID_FRAMEBUFFER_OPERATION :: GLenum Source #

pattern GL_INVALID_INDEX :: GLuint Source #

pattern GL_INVALID_OPERATION :: GLenum Source #

pattern GL_INVALID_VALUE :: GLenum Source #

pattern GL_INVERT :: GLenum Source #

pattern GL_KEEP :: GLenum Source #

pattern GL_LAST_VERTEX_CONVENTION :: GLenum Source #

pattern GL_LEFT :: GLenum Source #

pattern GL_LEQUAL :: GLenum Source #

pattern GL_LESS :: GLenum Source #

pattern GL_LINE :: GLenum Source #

pattern GL_LINEAR :: GLenum Source #

pattern GL_LINEAR_MIPMAP_LINEAR :: GLenum Source #

pattern GL_LINEAR_MIPMAP_NEAREST :: GLenum Source #

pattern GL_LINES :: GLenum Source #

pattern GL_LINES_ADJACENCY :: GLenum Source #

pattern GL_LINE_LOOP :: GLenum Source #

pattern GL_LINE_SMOOTH :: GLenum Source #

pattern GL_LINE_SMOOTH_HINT :: GLenum Source #

pattern GL_LINE_STRIP :: GLenum Source #

pattern GL_LINE_STRIP_ADJACENCY :: GLenum Source #

pattern GL_LINE_WIDTH :: GLenum Source #

pattern GL_LINE_WIDTH_GRANULARITY :: GLenum Source #

pattern GL_LINE_WIDTH_RANGE :: GLenum Source #

pattern GL_LINK_STATUS :: GLenum Source #

pattern GL_LOGIC_OP_MODE :: GLenum Source #

pattern GL_LOWER_LEFT :: GLenum Source #

pattern GL_MAJOR_VERSION :: GLenum Source #

pattern GL_MAP_FLUSH_EXPLICIT_BIT :: GLbitfield Source #

pattern GL_MAP_INVALIDATE_BUFFER_BIT :: GLbitfield Source #

pattern GL_MAP_INVALIDATE_RANGE_BIT :: GLbitfield Source #

pattern GL_MAP_READ_BIT :: GLbitfield Source #

pattern GL_MAP_UNSYNCHRONIZED_BIT :: GLbitfield Source #

pattern GL_MAP_WRITE_BIT :: GLbitfield Source #

pattern GL_MAX :: GLenum Source #

pattern GL_MAX_3D_TEXTURE_SIZE :: GLenum Source #

pattern GL_MAX_ARRAY_TEXTURE_LAYERS :: GLenum Source #

pattern GL_MAX_CLIP_DISTANCES :: GLenum Source #

pattern GL_MAX_COLOR_ATTACHMENTS :: GLenum Source #

pattern GL_MAX_COLOR_TEXTURE_SAMPLES :: GLenum Source #

pattern GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS :: GLenum Source #

pattern GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS :: GLenum Source #

pattern GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS :: GLenum Source #

pattern GL_MAX_COMBINED_UNIFORM_BLOCKS :: GLenum Source #

pattern GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS :: GLenum Source #

pattern GL_MAX_CUBE_MAP_TEXTURE_SIZE :: GLenum Source #

pattern GL_MAX_DEPTH_TEXTURE_SAMPLES :: GLenum Source #

pattern GL_MAX_DRAW_BUFFERS :: GLenum Source #

pattern GL_MAX_DUAL_SOURCE_DRAW_BUFFERS :: GLenum Source #

pattern GL_MAX_ELEMENTS_INDICES :: GLenum Source #

pattern GL_MAX_ELEMENTS_VERTICES :: GLenum Source #

pattern GL_MAX_FRAGMENT_INPUT_COMPONENTS :: GLenum Source #

pattern GL_MAX_FRAGMENT_UNIFORM_BLOCKS :: GLenum Source #

pattern GL_MAX_FRAGMENT_UNIFORM_COMPONENTS :: GLenum Source #

pattern GL_MAX_GEOMETRY_INPUT_COMPONENTS :: GLenum Source #

pattern GL_MAX_GEOMETRY_OUTPUT_COMPONENTS :: GLenum Source #

pattern GL_MAX_GEOMETRY_OUTPUT_VERTICES :: GLenum Source #

pattern GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS :: GLenum Source #

pattern GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS :: GLenum Source #

pattern GL_MAX_GEOMETRY_UNIFORM_BLOCKS :: GLenum Source #

pattern GL_MAX_GEOMETRY_UNIFORM_COMPONENTS :: GLenum Source #

pattern GL_MAX_INTEGER_SAMPLES :: GLenum Source #

pattern GL_MAX_PROGRAM_TEXEL_OFFSET :: GLenum Source #

pattern GL_MAX_RECTANGLE_TEXTURE_SIZE :: GLenum Source #

pattern GL_MAX_RENDERBUFFER_SIZE :: GLenum Source #

pattern GL_MAX_SAMPLES :: GLenum Source #

pattern GL_MAX_SAMPLE_MASK_WORDS :: GLenum Source #

pattern GL_MAX_SERVER_WAIT_TIMEOUT :: GLenum Source #

pattern GL_MAX_TEXTURE_BUFFER_SIZE :: GLenum Source #

pattern GL_MAX_TEXTURE_IMAGE_UNITS :: GLenum Source #

pattern GL_MAX_TEXTURE_LOD_BIAS :: GLenum Source #

pattern GL_MAX_TEXTURE_SIZE :: GLenum Source #

pattern GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS :: GLenum Source #

pattern GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS :: GLenum Source #

pattern GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS :: GLenum Source #

pattern GL_MAX_UNIFORM_BLOCK_SIZE :: GLenum Source #

pattern GL_MAX_UNIFORM_BUFFER_BINDINGS :: GLenum Source #

pattern GL_MAX_VARYING_COMPONENTS :: GLenum Source #

pattern GL_MAX_VARYING_FLOATS :: GLenum Source #

pattern GL_MAX_VERTEX_ATTRIBS :: GLenum Source #

pattern GL_MAX_VERTEX_OUTPUT_COMPONENTS :: GLenum Source #

pattern GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS :: GLenum Source #

pattern GL_MAX_VERTEX_UNIFORM_BLOCKS :: GLenum Source #

pattern GL_MAX_VERTEX_UNIFORM_COMPONENTS :: GLenum Source #

pattern GL_MAX_VIEWPORT_DIMS :: GLenum Source #

pattern GL_MIN :: GLenum Source #

pattern GL_MINOR_VERSION :: GLenum Source #

pattern GL_MIN_PROGRAM_TEXEL_OFFSET :: GLenum Source #

pattern GL_MIRRORED_REPEAT :: GLenum Source #

pattern GL_MULTISAMPLE :: GLenum Source #

pattern GL_NAND :: GLenum Source #

pattern GL_NEAREST :: GLenum Source #

pattern GL_NEAREST_MIPMAP_LINEAR :: GLenum Source #

pattern GL_NEAREST_MIPMAP_NEAREST :: GLenum Source #

pattern GL_NEVER :: GLenum Source #

pattern GL_NICEST :: GLenum Source #

pattern GL_NONE :: GLenum Source #

pattern GL_NOOP :: GLenum Source #

pattern GL_NOR :: GLenum Source #

pattern GL_NOTEQUAL :: GLenum Source #

pattern GL_NO_ERROR :: GLenum Source #

pattern GL_NUM_COMPRESSED_TEXTURE_FORMATS :: GLenum Source #

pattern GL_NUM_EXTENSIONS :: GLenum Source #

pattern GL_OBJECT_TYPE :: GLenum Source #

pattern GL_ONE :: GLenum Source #

pattern GL_ONE_MINUS_CONSTANT_ALPHA :: GLenum Source #

pattern GL_ONE_MINUS_CONSTANT_COLOR :: GLenum Source #

pattern GL_ONE_MINUS_DST_ALPHA :: GLenum Source #

pattern GL_ONE_MINUS_DST_COLOR :: GLenum Source #

pattern GL_ONE_MINUS_SRC1_ALPHA :: GLenum Source #

pattern GL_ONE_MINUS_SRC1_COLOR :: GLenum Source #

pattern GL_ONE_MINUS_SRC_ALPHA :: GLenum Source #

pattern GL_ONE_MINUS_SRC_COLOR :: GLenum Source #

pattern GL_OR :: GLenum Source #

pattern GL_OR_INVERTED :: GLenum Source #

pattern GL_OR_REVERSE :: GLenum Source #

pattern GL_OUT_OF_MEMORY :: GLenum Source #

pattern GL_PACK_ALIGNMENT :: GLenum Source #

pattern GL_PACK_IMAGE_HEIGHT :: GLenum Source #

pattern GL_PACK_LSB_FIRST :: GLenum Source #

pattern GL_PACK_ROW_LENGTH :: GLenum Source #

pattern GL_PACK_SKIP_IMAGES :: GLenum Source #

pattern GL_PACK_SKIP_PIXELS :: GLenum Source #

pattern GL_PACK_SKIP_ROWS :: GLenum Source #

pattern GL_PACK_SWAP_BYTES :: GLenum Source #

pattern GL_PIXEL_PACK_BUFFER :: GLenum Source #

pattern GL_PIXEL_PACK_BUFFER_BINDING :: GLenum Source #

pattern GL_PIXEL_UNPACK_BUFFER :: GLenum Source #

pattern GL_PIXEL_UNPACK_BUFFER_BINDING :: GLenum Source #

pattern GL_POINT :: GLenum Source #

pattern GL_POINTS :: GLenum Source #

pattern GL_POINT_FADE_THRESHOLD_SIZE :: GLenum Source #

pattern GL_POINT_SIZE :: GLenum Source #

pattern GL_POINT_SIZE_GRANULARITY :: GLenum Source #

pattern GL_POINT_SIZE_RANGE :: GLenum Source #

pattern GL_POINT_SPRITE_COORD_ORIGIN :: GLenum Source #

pattern GL_POLYGON_MODE :: GLenum Source #

pattern GL_POLYGON_OFFSET_FACTOR :: GLenum Source #

pattern GL_POLYGON_OFFSET_FILL :: GLenum Source #

pattern GL_POLYGON_OFFSET_LINE :: GLenum Source #

pattern GL_POLYGON_OFFSET_POINT :: GLenum Source #

pattern GL_POLYGON_OFFSET_UNITS :: GLenum Source #

pattern GL_POLYGON_SMOOTH :: GLenum Source #

pattern GL_POLYGON_SMOOTH_HINT :: GLenum Source #

pattern GL_PRIMITIVES_GENERATED :: GLenum Source #

pattern GL_PRIMITIVE_RESTART :: GLenum Source #

pattern GL_PRIMITIVE_RESTART_INDEX :: GLenum Source #

pattern GL_PROGRAM_POINT_SIZE :: GLenum Source #

pattern GL_PROVOKING_VERTEX :: GLenum Source #

pattern GL_PROXY_TEXTURE_1D :: GLenum Source #

pattern GL_PROXY_TEXTURE_1D_ARRAY :: GLenum Source #

pattern GL_PROXY_TEXTURE_2D :: GLenum Source #

pattern GL_PROXY_TEXTURE_2D_ARRAY :: GLenum Source #

pattern GL_PROXY_TEXTURE_2D_MULTISAMPLE :: GLenum Source #

pattern GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_PROXY_TEXTURE_3D :: GLenum Source #

pattern GL_PROXY_TEXTURE_CUBE_MAP :: GLenum Source #

pattern GL_PROXY_TEXTURE_RECTANGLE :: GLenum Source #

pattern GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION :: GLenum Source #

pattern GL_QUERY_BY_REGION_NO_WAIT :: GLenum Source #

pattern GL_QUERY_BY_REGION_WAIT :: GLenum Source #

pattern GL_QUERY_COUNTER_BITS :: GLenum Source #

pattern GL_QUERY_NO_WAIT :: GLenum Source #

pattern GL_QUERY_RESULT :: GLenum Source #

pattern GL_QUERY_RESULT_AVAILABLE :: GLenum Source #

pattern GL_QUERY_WAIT :: GLenum Source #

pattern GL_R11F_G11F_B10F :: GLenum Source #

pattern GL_R16 :: GLenum Source #

pattern GL_R16F :: GLenum Source #

pattern GL_R16I :: GLenum Source #

pattern GL_R16UI :: GLenum Source #

pattern GL_R16_SNORM :: GLenum Source #

pattern GL_R32F :: GLenum Source #

pattern GL_R32I :: GLenum Source #

pattern GL_R32UI :: GLenum Source #

pattern GL_R3_G3_B2 :: GLenum Source #

pattern GL_R8 :: GLenum Source #

pattern GL_R8I :: GLenum Source #

pattern GL_R8UI :: GLenum Source #

pattern GL_R8_SNORM :: GLenum Source #

pattern GL_RASTERIZER_DISCARD :: GLenum Source #

pattern GL_READ_BUFFER :: GLenum Source #

pattern GL_READ_FRAMEBUFFER :: GLenum Source #

pattern GL_READ_FRAMEBUFFER_BINDING :: GLenum Source #

pattern GL_READ_ONLY :: GLenum Source #

pattern GL_READ_WRITE :: GLenum Source #

pattern GL_RED :: GLenum Source #

pattern GL_RED_INTEGER :: GLenum Source #

pattern GL_RENDERBUFFER :: GLenum Source #

pattern GL_RENDERBUFFER_ALPHA_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_BINDING :: GLenum Source #

pattern GL_RENDERBUFFER_BLUE_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_DEPTH_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_GREEN_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_HEIGHT :: GLenum Source #

pattern GL_RENDERBUFFER_INTERNAL_FORMAT :: GLenum Source #

pattern GL_RENDERBUFFER_RED_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_SAMPLES :: GLenum Source #

pattern GL_RENDERBUFFER_STENCIL_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_WIDTH :: GLenum Source #

pattern GL_RENDERER :: GLenum Source #

pattern GL_REPEAT :: GLenum Source #

pattern GL_REPLACE :: GLenum Source #

pattern GL_RG :: GLenum Source #

pattern GL_RG16 :: GLenum Source #

pattern GL_RG16F :: GLenum Source #

pattern GL_RG16I :: GLenum Source #

pattern GL_RG16UI :: GLenum Source #

pattern GL_RG16_SNORM :: GLenum Source #

pattern GL_RG32F :: GLenum Source #

pattern GL_RG32I :: GLenum Source #

pattern GL_RG32UI :: GLenum Source #

pattern GL_RG8 :: GLenum Source #

pattern GL_RG8I :: GLenum Source #

pattern GL_RG8UI :: GLenum Source #

pattern GL_RG8_SNORM :: GLenum Source #

pattern GL_RGB :: GLenum Source #

pattern GL_RGB10 :: GLenum Source #

pattern GL_RGB10_A2 :: GLenum Source #

pattern GL_RGB10_A2UI :: GLenum Source #

pattern GL_RGB12 :: GLenum Source #

pattern GL_RGB16 :: GLenum Source #

pattern GL_RGB16F :: GLenum Source #

pattern GL_RGB16I :: GLenum Source #

pattern GL_RGB16UI :: GLenum Source #

pattern GL_RGB16_SNORM :: GLenum Source #

pattern GL_RGB32F :: GLenum Source #

pattern GL_RGB32I :: GLenum Source #

pattern GL_RGB32UI :: GLenum Source #

pattern GL_RGB4 :: GLenum Source #

pattern GL_RGB5 :: GLenum Source #

pattern GL_RGB5_A1 :: GLenum Source #

pattern GL_RGB8 :: GLenum Source #

pattern GL_RGB8I :: GLenum Source #

pattern GL_RGB8UI :: GLenum Source #

pattern GL_RGB8_SNORM :: GLenum Source #

pattern GL_RGB9_E5 :: GLenum Source #

pattern GL_RGBA :: GLenum Source #

pattern GL_RGBA12 :: GLenum Source #

pattern GL_RGBA16 :: GLenum Source #

pattern GL_RGBA16F :: GLenum Source #

pattern GL_RGBA16I :: GLenum Source #

pattern GL_RGBA16UI :: GLenum Source #

pattern GL_RGBA16_SNORM :: GLenum Source #

pattern GL_RGBA2 :: GLenum Source #

pattern GL_RGBA32F :: GLenum Source #

pattern GL_RGBA32I :: GLenum Source #

pattern GL_RGBA32UI :: GLenum Source #

pattern GL_RGBA4 :: GLenum Source #

pattern GL_RGBA8 :: GLenum Source #

pattern GL_RGBA8I :: GLenum Source #

pattern GL_RGBA8UI :: GLenum Source #

pattern GL_RGBA8_SNORM :: GLenum Source #

pattern GL_RGBA_INTEGER :: GLenum Source #

pattern GL_RGB_INTEGER :: GLenum Source #

pattern GL_RG_INTEGER :: GLenum Source #

pattern GL_RIGHT :: GLenum Source #

pattern GL_SAMPLER_1D :: GLenum Source #

pattern GL_SAMPLER_1D_ARRAY :: GLenum Source #

pattern GL_SAMPLER_1D_ARRAY_SHADOW :: GLenum Source #

pattern GL_SAMPLER_1D_SHADOW :: GLenum Source #

pattern GL_SAMPLER_2D :: GLenum Source #

pattern GL_SAMPLER_2D_ARRAY :: GLenum Source #

pattern GL_SAMPLER_2D_ARRAY_SHADOW :: GLenum Source #

pattern GL_SAMPLER_2D_MULTISAMPLE :: GLenum Source #

pattern GL_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_SAMPLER_2D_RECT :: GLenum Source #

pattern GL_SAMPLER_2D_RECT_SHADOW :: GLenum Source #

pattern GL_SAMPLER_2D_SHADOW :: GLenum Source #

pattern GL_SAMPLER_3D :: GLenum Source #

pattern GL_SAMPLER_BINDING :: GLenum Source #

pattern GL_SAMPLER_BUFFER :: GLenum Source #

pattern GL_SAMPLER_CUBE :: GLenum Source #

pattern GL_SAMPLER_CUBE_SHADOW :: GLenum Source #

pattern GL_SAMPLES :: GLenum Source #

pattern GL_SAMPLES_PASSED :: GLenum Source #

pattern GL_SAMPLE_ALPHA_TO_COVERAGE :: GLenum Source #

pattern GL_SAMPLE_ALPHA_TO_ONE :: GLenum Source #

pattern GL_SAMPLE_BUFFERS :: GLenum Source #

pattern GL_SAMPLE_COVERAGE :: GLenum Source #

pattern GL_SAMPLE_COVERAGE_INVERT :: GLenum Source #

pattern GL_SAMPLE_COVERAGE_VALUE :: GLenum Source #

pattern GL_SAMPLE_MASK :: GLenum Source #

pattern GL_SAMPLE_MASK_VALUE :: GLenum Source #

pattern GL_SAMPLE_POSITION :: GLenum Source #

pattern GL_SCISSOR_BOX :: GLenum Source #

pattern GL_SCISSOR_TEST :: GLenum Source #

pattern GL_SEPARATE_ATTRIBS :: GLenum Source #

pattern GL_SET :: GLenum Source #

pattern GL_SHADER_SOURCE_LENGTH :: GLenum Source #

pattern GL_SHADER_TYPE :: GLenum Source #

pattern GL_SHADING_LANGUAGE_VERSION :: GLenum Source #

pattern GL_SHORT :: GLenum Source #

pattern GL_SIGNALED :: GLenum Source #

pattern GL_SIGNED_NORMALIZED :: GLenum Source #

pattern GL_SMOOTH_LINE_WIDTH_GRANULARITY :: GLenum Source #

pattern GL_SMOOTH_LINE_WIDTH_RANGE :: GLenum Source #

pattern GL_SMOOTH_POINT_SIZE_GRANULARITY :: GLenum Source #

pattern GL_SMOOTH_POINT_SIZE_RANGE :: GLenum Source #

pattern GL_SRC1_ALPHA :: GLenum Source #

pattern GL_SRC1_COLOR :: GLenum Source #

pattern GL_SRC_ALPHA :: GLenum Source #

pattern GL_SRC_ALPHA_SATURATE :: GLenum Source #

pattern GL_SRC_COLOR :: GLenum Source #

pattern GL_SRGB :: GLenum Source #

pattern GL_SRGB8 :: GLenum Source #

pattern GL_SRGB8_ALPHA8 :: GLenum Source #

pattern GL_SRGB_ALPHA :: GLenum Source #

pattern GL_STATIC_COPY :: GLenum Source #

pattern GL_STATIC_DRAW :: GLenum Source #

pattern GL_STATIC_READ :: GLenum Source #

pattern GL_STENCIL :: GLenum Source #

pattern GL_STENCIL_ATTACHMENT :: GLenum Source #

pattern GL_STENCIL_BACK_FAIL :: GLenum Source #

pattern GL_STENCIL_BACK_FUNC :: GLenum Source #

pattern GL_STENCIL_BACK_PASS_DEPTH_FAIL :: GLenum Source #

pattern GL_STENCIL_BACK_PASS_DEPTH_PASS :: GLenum Source #

pattern GL_STENCIL_BACK_REF :: GLenum Source #

pattern GL_STENCIL_BACK_VALUE_MASK :: GLenum Source #

pattern GL_STENCIL_BACK_WRITEMASK :: GLenum Source #

pattern GL_STENCIL_BUFFER_BIT :: GLbitfield Source #

pattern GL_STENCIL_CLEAR_VALUE :: GLenum Source #

pattern GL_STENCIL_FAIL :: GLenum Source #

pattern GL_STENCIL_FUNC :: GLenum Source #

pattern GL_STENCIL_INDEX :: GLenum Source #

pattern GL_STENCIL_INDEX1 :: GLenum Source #

pattern GL_STENCIL_INDEX16 :: GLenum Source #

pattern GL_STENCIL_INDEX4 :: GLenum Source #

pattern GL_STENCIL_INDEX8 :: GLenum Source #

pattern GL_STENCIL_PASS_DEPTH_FAIL :: GLenum Source #

pattern GL_STENCIL_PASS_DEPTH_PASS :: GLenum Source #

pattern GL_STENCIL_REF :: GLenum Source #

pattern GL_STENCIL_TEST :: GLenum Source #

pattern GL_STENCIL_VALUE_MASK :: GLenum Source #

pattern GL_STENCIL_WRITEMASK :: GLenum Source #

pattern GL_STEREO :: GLenum Source #

pattern GL_STREAM_COPY :: GLenum Source #

pattern GL_STREAM_DRAW :: GLenum Source #

pattern GL_STREAM_READ :: GLenum Source #

pattern GL_SUBPIXEL_BITS :: GLenum Source #

pattern GL_SYNC_CONDITION :: GLenum Source #

pattern GL_SYNC_FENCE :: GLenum Source #

pattern GL_SYNC_FLAGS :: GLenum Source #

pattern GL_SYNC_FLUSH_COMMANDS_BIT :: GLbitfield Source #

pattern GL_SYNC_GPU_COMMANDS_COMPLETE :: GLenum Source #

pattern GL_SYNC_STATUS :: GLenum Source #

pattern GL_TEXTURE :: GLenum Source #

pattern GL_TEXTURE0 :: GLenum Source #

pattern GL_TEXTURE1 :: GLenum Source #

pattern GL_TEXTURE10 :: GLenum Source #

pattern GL_TEXTURE11 :: GLenum Source #

pattern GL_TEXTURE12 :: GLenum Source #

pattern GL_TEXTURE13 :: GLenum Source #

pattern GL_TEXTURE14 :: GLenum Source #

pattern GL_TEXTURE15 :: GLenum Source #

pattern GL_TEXTURE16 :: GLenum Source #

pattern GL_TEXTURE17 :: GLenum Source #

pattern GL_TEXTURE18 :: GLenum Source #

pattern GL_TEXTURE19 :: GLenum Source #

pattern GL_TEXTURE2 :: GLenum Source #

pattern GL_TEXTURE20 :: GLenum Source #

pattern GL_TEXTURE21 :: GLenum Source #

pattern GL_TEXTURE22 :: GLenum Source #

pattern GL_TEXTURE23 :: GLenum Source #

pattern GL_TEXTURE24 :: GLenum Source #

pattern GL_TEXTURE25 :: GLenum Source #

pattern GL_TEXTURE26 :: GLenum Source #

pattern GL_TEXTURE27 :: GLenum Source #

pattern GL_TEXTURE28 :: GLenum Source #

pattern GL_TEXTURE29 :: GLenum Source #

pattern GL_TEXTURE3 :: GLenum Source #

pattern GL_TEXTURE30 :: GLenum Source #

pattern GL_TEXTURE31 :: GLenum Source #

pattern GL_TEXTURE4 :: GLenum Source #

pattern GL_TEXTURE5 :: GLenum Source #

pattern GL_TEXTURE6 :: GLenum Source #

pattern GL_TEXTURE7 :: GLenum Source #

pattern GL_TEXTURE8 :: GLenum Source #

pattern GL_TEXTURE9 :: GLenum Source #

pattern GL_TEXTURE_1D :: GLenum Source #

pattern GL_TEXTURE_1D_ARRAY :: GLenum Source #

pattern GL_TEXTURE_2D :: GLenum Source #

pattern GL_TEXTURE_2D_ARRAY :: GLenum Source #

pattern GL_TEXTURE_2D_MULTISAMPLE :: GLenum Source #

pattern GL_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_TEXTURE_3D :: GLenum Source #

pattern GL_TEXTURE_ALPHA_SIZE :: GLenum Source #

pattern GL_TEXTURE_ALPHA_TYPE :: GLenum Source #

pattern GL_TEXTURE_BASE_LEVEL :: GLenum Source #

pattern GL_TEXTURE_BINDING_1D :: GLenum Source #

pattern GL_TEXTURE_BINDING_1D_ARRAY :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D_ARRAY :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_TEXTURE_BINDING_3D :: GLenum Source #

pattern GL_TEXTURE_BINDING_BUFFER :: GLenum Source #

pattern GL_TEXTURE_BINDING_CUBE_MAP :: GLenum Source #

pattern GL_TEXTURE_BINDING_RECTANGLE :: GLenum Source #

pattern GL_TEXTURE_BLUE_SIZE :: GLenum Source #

pattern GL_TEXTURE_BLUE_TYPE :: GLenum Source #

pattern GL_TEXTURE_BORDER_COLOR :: GLenum Source #

pattern GL_TEXTURE_BUFFER :: GLenum Source #

pattern GL_TEXTURE_BUFFER_DATA_STORE_BINDING :: GLenum Source #

pattern GL_TEXTURE_COMPARE_FUNC :: GLenum Source #

pattern GL_TEXTURE_COMPARE_MODE :: GLenum Source #

pattern GL_TEXTURE_COMPRESSED :: GLenum Source #

pattern GL_TEXTURE_COMPRESSED_IMAGE_SIZE :: GLenum Source #

pattern GL_TEXTURE_COMPRESSION_HINT :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_X :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_Y :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_Z :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_POSITIVE_X :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_POSITIVE_Y :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_POSITIVE_Z :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_SEAMLESS :: GLenum Source #

pattern GL_TEXTURE_DEPTH :: GLenum Source #

pattern GL_TEXTURE_DEPTH_SIZE :: GLenum Source #

pattern GL_TEXTURE_DEPTH_TYPE :: GLenum Source #

pattern GL_TEXTURE_FIXED_SAMPLE_LOCATIONS :: GLenum Source #

pattern GL_TEXTURE_GREEN_SIZE :: GLenum Source #

pattern GL_TEXTURE_GREEN_TYPE :: GLenum Source #

pattern GL_TEXTURE_HEIGHT :: GLenum Source #

pattern GL_TEXTURE_INTERNAL_FORMAT :: GLenum Source #

pattern GL_TEXTURE_LOD_BIAS :: GLenum Source #

pattern GL_TEXTURE_MAG_FILTER :: GLenum Source #

pattern GL_TEXTURE_MAX_LEVEL :: GLenum Source #

pattern GL_TEXTURE_MAX_LOD :: GLenum Source #

pattern GL_TEXTURE_MIN_FILTER :: GLenum Source #

pattern GL_TEXTURE_MIN_LOD :: GLenum Source #

pattern GL_TEXTURE_RECTANGLE :: GLenum Source #

pattern GL_TEXTURE_RED_SIZE :: GLenum Source #

pattern GL_TEXTURE_RED_TYPE :: GLenum Source #

pattern GL_TEXTURE_SAMPLES :: GLenum Source #

pattern GL_TEXTURE_SHARED_SIZE :: GLenum Source #

pattern GL_TEXTURE_STENCIL_SIZE :: GLenum Source #

pattern GL_TEXTURE_SWIZZLE_A :: GLenum Source #

pattern GL_TEXTURE_SWIZZLE_B :: GLenum Source #

pattern GL_TEXTURE_SWIZZLE_G :: GLenum Source #

pattern GL_TEXTURE_SWIZZLE_R :: GLenum Source #

pattern GL_TEXTURE_SWIZZLE_RGBA :: GLenum Source #

pattern GL_TEXTURE_WIDTH :: GLenum Source #

pattern GL_TEXTURE_WRAP_R :: GLenum Source #

pattern GL_TEXTURE_WRAP_S :: GLenum Source #

pattern GL_TEXTURE_WRAP_T :: GLenum Source #

pattern GL_TIMEOUT_EXPIRED :: GLenum Source #

pattern GL_TIMEOUT_IGNORED :: GLuint64 Source #

pattern GL_TIMESTAMP :: GLenum Source #

pattern GL_TIME_ELAPSED :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_BINDING :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_MODE :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_SIZE :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_BUFFER_START :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_VARYINGS :: GLenum Source #

pattern GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH :: GLenum Source #

pattern GL_TRIANGLES :: GLenum Source #

pattern GL_TRIANGLES_ADJACENCY :: GLenum Source #

pattern GL_TRIANGLE_FAN :: GLenum Source #

pattern GL_TRIANGLE_STRIP :: GLenum Source #

pattern GL_TRIANGLE_STRIP_ADJACENCY :: GLenum Source #

pattern GL_TRUE :: GLboolean Source #

pattern GL_UNIFORM_ARRAY_STRIDE :: GLenum Source #

pattern GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS :: GLenum Source #

pattern GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES :: GLenum Source #

pattern GL_UNIFORM_BLOCK_BINDING :: GLenum Source #

pattern GL_UNIFORM_BLOCK_DATA_SIZE :: GLenum Source #

pattern GL_UNIFORM_BLOCK_INDEX :: GLenum Source #

pattern GL_UNIFORM_BLOCK_NAME_LENGTH :: GLenum Source #

pattern GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER :: GLenum Source #

pattern GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER :: GLenum Source #

pattern GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER :: GLenum Source #

pattern GL_UNIFORM_BUFFER :: GLenum Source #

pattern GL_UNIFORM_BUFFER_BINDING :: GLenum Source #

pattern GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT :: GLenum Source #

pattern GL_UNIFORM_BUFFER_SIZE :: GLenum Source #

pattern GL_UNIFORM_BUFFER_START :: GLenum Source #

pattern GL_UNIFORM_IS_ROW_MAJOR :: GLenum Source #

pattern GL_UNIFORM_MATRIX_STRIDE :: GLenum Source #

pattern GL_UNIFORM_NAME_LENGTH :: GLenum Source #

pattern GL_UNIFORM_OFFSET :: GLenum Source #

pattern GL_UNIFORM_SIZE :: GLenum Source #

pattern GL_UNIFORM_TYPE :: GLenum Source #

pattern GL_UNPACK_ALIGNMENT :: GLenum Source #

pattern GL_UNPACK_IMAGE_HEIGHT :: GLenum Source #

pattern GL_UNPACK_LSB_FIRST :: GLenum Source #

pattern GL_UNPACK_ROW_LENGTH :: GLenum Source #

pattern GL_UNPACK_SKIP_IMAGES :: GLenum Source #

pattern GL_UNPACK_SKIP_PIXELS :: GLenum Source #

pattern GL_UNPACK_SKIP_ROWS :: GLenum Source #

pattern GL_UNPACK_SWAP_BYTES :: GLenum Source #

pattern GL_UNSIGNALED :: GLenum Source #

pattern GL_UNSIGNED_BYTE :: GLenum Source #

pattern GL_UNSIGNED_BYTE_2_3_3_REV :: GLenum Source #

pattern GL_UNSIGNED_BYTE_3_3_2 :: GLenum Source #

pattern GL_UNSIGNED_INT :: GLenum Source #

pattern GL_UNSIGNED_INT_10F_11F_11F_REV :: GLenum Source #

pattern GL_UNSIGNED_INT_10_10_10_2 :: GLenum Source #

pattern GL_UNSIGNED_INT_24_8 :: GLenum Source #

pattern GL_UNSIGNED_INT_2_10_10_10_REV :: GLenum Source #

pattern GL_UNSIGNED_INT_5_9_9_9_REV :: GLenum Source #

pattern GL_UNSIGNED_INT_8_8_8_8 :: GLenum Source #

pattern GL_UNSIGNED_INT_8_8_8_8_REV :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_1D :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_1D_ARRAY :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_2D :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_2D_ARRAY :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_2D_RECT :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_3D :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_BUFFER :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_CUBE :: GLenum Source #

pattern GL_UNSIGNED_INT_VEC2 :: GLenum Source #

pattern GL_UNSIGNED_INT_VEC3 :: GLenum Source #

pattern GL_UNSIGNED_INT_VEC4 :: GLenum Source #

pattern GL_UNSIGNED_NORMALIZED :: GLenum Source #

pattern GL_UNSIGNED_SHORT :: GLenum Source #

pattern GL_UNSIGNED_SHORT_1_5_5_5_REV :: GLenum Source #

pattern GL_UNSIGNED_SHORT_4_4_4_4 :: GLenum Source #

pattern GL_UNSIGNED_SHORT_4_4_4_4_REV :: GLenum Source #

pattern GL_UNSIGNED_SHORT_5_5_5_1 :: GLenum Source #

pattern GL_UNSIGNED_SHORT_5_6_5 :: GLenum Source #

pattern GL_UNSIGNED_SHORT_5_6_5_REV :: GLenum Source #

pattern GL_UPPER_LEFT :: GLenum Source #

pattern GL_VALIDATE_STATUS :: GLenum Source #

pattern GL_VENDOR :: GLenum Source #

pattern GL_VERSION :: GLenum Source #

pattern GL_VERTEX_ARRAY_BINDING :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_DIVISOR :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_ENABLED :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_INTEGER :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_NORMALIZED :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_POINTER :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_SIZE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_STRIDE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_TYPE :: GLenum Source #

pattern GL_VERTEX_PROGRAM_POINT_SIZE :: GLenum Source #

pattern GL_VERTEX_SHADER :: GLenum Source #

pattern GL_VIEWPORT :: GLenum Source #

pattern GL_WAIT_FAILED :: GLenum Source #

pattern GL_WRITE_ONLY :: GLenum Source #

pattern GL_XOR :: GLenum Source #

pattern GL_ZERO :: GLenum Source #

# Functions

glActiveTexture Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glAttachShader Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `shader`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBeginConditionalRender Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `mode` of type ConditionalRenderMode.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBeginQuery Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> GLuint | `id`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBeginTransformFeedback Source #

Arguments

:: MonadIO m |
=> GLenum | `primitiveMode` of type PrimitiveType.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBindAttribLocation Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> Ptr GLchar | `name`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBindBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `buffer`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBindBufferBase Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBindBufferRange Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBindFragDataLocation Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `color`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBindFragDataLocationIndexed Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `colorNumber`.
-> GLuint | `index`.
-> Ptr GLchar | `name`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBindFramebuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLuint | `framebuffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBindRenderbuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLuint | `renderbuffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBindSampler Source #

Arguments

:: MonadIO m |
=> GLuint | `unit`.
-> GLuint | `sampler`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBindTexture Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLuint | `texture` of type `Texture`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBindVertexArray Source #

Arguments

:: MonadIO m |
=> GLuint | `array`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBlendColor Source #

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendEquation Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type BlendEquationModeEXT.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendEquationSeparate Source #

Arguments

:: MonadIO m |
=> GLenum | `modeRGB` of type BlendEquationModeEXT.
-> GLenum | `modeAlpha` of type BlendEquationModeEXT.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendFunc Source #

Arguments

:: MonadIO m |
=> GLenum | `sfactor` of type BlendingFactor.
-> GLenum | `dfactor` of type BlendingFactor.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendFuncSeparate Source #

Arguments

:: MonadIO m |
=> GLenum | `sfactorRGB` of type BlendingFactor.
-> GLenum | `dfactorRGB` of type BlendingFactor.
-> GLenum | `sfactorAlpha` of type BlendingFactor.
-> GLenum | `dfactorAlpha` of type BlendingFactor.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlitFramebuffer Source #

Arguments

:: MonadIO m |
=> GLint | `srcX0`.
-> GLint | `srcY0`.
-> GLint | `srcX1`.
-> GLint | `srcY1`.
-> GLint | `dstX0`.
-> GLint | `dstY0`.
-> GLint | `dstX1`.
-> GLint | `dstY1`.
-> GLbitfield | `mask` of type ClearBufferMask.
-> GLenum | `filter` of type BlitFramebufferFilter.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBufferData Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> GLenum | `usage` of type BufferUsageARB.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBufferSubData Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCheckFramebufferStatus Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> m GLenum | of type FramebufferStatus.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glClampColor Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ClampColorTargetARB.
-> GLenum | `clamp` of type ClampColorModeARB.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glClear Source #

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type ClearBufferMask.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClearBufferfi Source #

Arguments

:: MonadIO m |
=> GLenum | `buffer` of type Buffer.
-> GLint | `drawbuffer` of type `DrawBufferName`.
-> GLfloat | `depth`.
-> GLint | `stencil`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glClearBufferfv Source #

Arguments

:: MonadIO m |
=> GLenum | `buffer` of type Buffer.
-> GLint | `drawbuffer` of type `DrawBufferName`.
-> Ptr GLfloat | `value` pointing to `COMPSIZE(buffer)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glClearBufferiv Source #

Arguments

:: MonadIO m |
=> GLenum | `buffer` of type Buffer.
-> GLint | `drawbuffer` of type `DrawBufferName`.
-> Ptr GLint | `value` pointing to `COMPSIZE(buffer)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glClearBufferuiv Source #

Arguments

:: MonadIO m |
=> GLenum | `buffer` of type Buffer.
-> GLint | `drawbuffer` of type `DrawBufferName`.
-> Ptr GLuint | `value` pointing to `COMPSIZE(buffer)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glClearColor Source #

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClearDepth Source #

Arguments

:: MonadIO m |
=> GLdouble | `depth`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClearStencil Source #

Arguments

:: MonadIO m |
=> GLint | `s` of type `StencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClientWaitSync Source #

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> GLbitfield | `flags` of type SyncObjectMask.
-> GLuint64 | `timeout`.
-> m GLenum | of type SyncStatus.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glColorMask Source #

Arguments

:: MonadIO m |
=> GLboolean | `red` of type Boolean.
-> GLboolean | `green` of type Boolean.
-> GLboolean | `blue` of type Boolean.
-> GLboolean | `alpha` of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glColorMaski Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLboolean | `r` of type Boolean.
-> GLboolean | `g` of type Boolean.
-> GLboolean | `b` of type Boolean.
-> GLboolean | `a` of type Boolean.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glCompileShader Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexImage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexSubImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexSubImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexSubImage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyBufferSubData Source #

Arguments

:: MonadIO m |
=> GLenum | `readTarget` of type CopyBufferSubDataTarget.
-> GLenum | `writeTarget` of type CopyBufferSubDataTarget.
-> GLintptr | `readOffset` of type `BufferOffset`.
-> GLintptr | `writeOffset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glCopyTexImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexSubImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexSubImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexSubImage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCreateProgram :: MonadIO m => m GLuint Source #

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCreateShader Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type ShaderType.
-> m GLuint |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCullFace Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type CullFaceMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteBuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `buffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteFramebuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteQueries Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteRenderbuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteSamplers Source #

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLuint | `samplers` pointing to `count` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteShader Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteSync Source #

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteTextures Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteVertexArrays Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `arrays` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDepthFunc Source #

Arguments

:: MonadIO m |
=> GLenum | `func` of type DepthFunction.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDepthMask Source #

Arguments

:: MonadIO m |
=> GLboolean | `flag` of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDepthRange Source #

Arguments

:: MonadIO m |
=> GLdouble | `n`.
-> GLdouble | `f`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDetachShader Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `shader`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDisable Source #

Arguments

:: MonadIO m |
=> GLenum | `cap` of type EnableCap.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDisableVertexAttribArray Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDisablei Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EnableCap.
-> GLuint | `index`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDrawArrays Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLint | `first`.
-> GLsizei | `count`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawArraysInstanced Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLint | `first`.
-> GLsizei | `count`.
-> GLsizei | `instancecount`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDrawBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `buf` of type DrawBufferMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawBuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLenum | `bufs` pointing to `n` elements of type DrawBufferMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawElements Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawElementsBaseVertex Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> GLint | `basevertex`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDrawElementsInstanced Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> GLsizei | `instancecount`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDrawElementsInstancedBaseVertex Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> GLsizei | `instancecount`.
-> GLint | `basevertex`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDrawRangeElements Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `start`.
-> GLuint | `end`.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawRangeElementsBaseVertex Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `start`.
-> GLuint | `end`.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> GLint | `basevertex`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glEnable Source #

Arguments

:: MonadIO m |
=> GLenum | `cap` of type EnableCap.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glEnableVertexAttribArray Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glEnablei Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EnableCap.
-> GLuint | `index`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glEndConditionalRender :: MonadIO m => m () Source #

Manual pages for OpenGL 3.x or OpenGL 4.x.

glEndQuery Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glEndTransformFeedback :: MonadIO m => m () Source #

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFenceSync Source #

Arguments

:: MonadIO m |
=> GLenum | `condition` of type SyncCondition.
-> GLbitfield | `flags`.
-> m GLsync | of type `sync`.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFinish :: MonadIO m => m () Source #

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glFlush :: MonadIO m => m () Source #

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glFlushMappedBufferRange Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferRenderbuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `renderbuffertarget` of type RenderbufferTarget.
-> GLuint | `renderbuffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTexture Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTexture1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTexture2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTexture3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `zoffset`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTextureLayer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `layer` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFrontFace Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type FrontFaceDirection.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGenBuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `buffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGenFramebuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenQueries Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGenRenderbuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenSamplers Source #

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLuint | `samplers` pointing to `count` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenTextures Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGenVertexArrays Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `arrays` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenerateMipmap Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetActiveAttrib Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLint | `size` pointing to `1` element of type `GLint`.
-> Ptr GLenum | `type` pointing to `1` element of type AttributeType.
-> Ptr GLchar | `name` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetActiveUniform Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLint | `size` pointing to `1` element of type `GLint`.
-> Ptr GLenum | `type` pointing to `1` element of type UniformType.
-> Ptr GLchar | `name` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetActiveUniformBlockName Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `uniformBlockIndex`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `uniformBlockName` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetActiveUniformBlockiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `uniformBlockIndex`.
-> GLenum | `pname` of type UniformBlockPName.
-> Ptr GLint | `params` pointing to `COMPSIZE(program,uniformBlockIndex,pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetActiveUniformName Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `uniformIndex`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `uniformName` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetActiveUniformsiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `uniformCount`.
-> Ptr GLuint | `uniformIndices` pointing to `uniformCount` elements of type `GLuint`.
-> GLenum | `pname` of type UniformPName.
-> Ptr GLint | `params` pointing to `COMPSIZE(uniformCount,pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetAttachedShaders Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `maxCount`.
-> Ptr GLsizei | `count` pointing to `1` element of type `GLsizei`.
-> Ptr GLuint | `shaders` pointing to `maxCount` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetAttribLocation Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name`.
-> m GLint |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetBooleani_v Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `index`.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(target)` elements of type Boolean.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetBooleanv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(pname)` elements of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetBufferParameteri64v Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `pname` of type BufferPNameARB.
-> Ptr GLint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetBufferParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `pname` of type BufferPNameARB.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetBufferPointerv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `pname` of type BufferPointerNameARB.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetBufferSubData Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetCompressedTexImage Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> Ptr a | `img` pointing to `COMPSIZE(target,level)` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetDoublev Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLdouble | `data` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetError Source #

Arguments

:: MonadIO m |
=> m GLenum | of type ErrorCode.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetFloatv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetFragDataIndex Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name`.
-> m GLint |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetFragDataLocation Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m GLint |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetFramebufferAttachmentParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `pname` of type FramebufferAttachmentParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetInteger64i_v Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLint64 | `data` pointing to `COMPSIZE(target)` elements of type `GLint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetInteger64v Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLint64 | `data` pointing to `COMPSIZE(pname)` elements of type `GLint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetIntegeri_v Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLint | `data` pointing to `COMPSIZE(target)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetIntegerv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLint | `data` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetMultisamplefv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetMultisamplePNameNV.
-> GLuint | `index`.
-> Ptr GLfloat | `val` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetProgramInfoLog Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `infoLog` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetProgramiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `pname` of type ProgramPropertyARB.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetQueryObjecti64v Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetQueryObjectiv Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetQueryObjectui64v Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLuint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetQueryObjectuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetQueryiv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> GLenum | `pname` of type QueryParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetRenderbufferParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLenum | `pname` of type RenderbufferParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameterIiv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameterIuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameterfv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterF.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetShaderInfoLog Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `infoLog` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetShaderSource Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `source` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetShaderiv Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> GLenum | `pname` of type ShaderParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetString Source #

Arguments

:: MonadIO m |
=> GLenum | `name` of type StringName.
-> m (Ptr GLubyte) | pointing to elements of type `String`.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetStringi Source #

Arguments

:: MonadIO m |
=> GLenum | `name` of type StringName.
-> GLuint | `index`.
-> m (Ptr GLubyte) | pointing to elements of type `String`.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSynciv Source #

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> GLenum | `pname` of type SyncParameterName.
-> GLsizei | `count`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLint | `values` pointing to `count` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetTexImage Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(target,level,format,type)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexLevelParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexLevelParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexParameterIiv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetTexParameterIuiv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetTexParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTransformFeedbackVarying Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLsizei | `size` pointing to `1` element of type `GLsizei`.
-> Ptr GLenum | `type` pointing to `1` element of type GlslTypeToken.
-> Ptr GLchar | `name` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetUniformBlockIndex Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `uniformBlockName` pointing to `COMPSIZE()` elements of type `GLchar`.
-> m GLuint |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetUniformIndices Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `uniformCount`.
-> Ptr (Ptr GLchar) | `uniformNames` pointing to `COMPSIZE(uniformCount)` elements of type `Ptr GLchar`.
-> Ptr GLuint | `uniformIndices` pointing to `COMPSIZE(uniformCount)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetUniformLocation Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name`.
-> m GLint |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetUniformfv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(program,location)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetUniformiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLint | `params` pointing to `COMPSIZE(program,location)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetUniformuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLuint | `params` pointing to `COMPSIZE(program,location)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetVertexAttribIiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribEnum.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetVertexAttribIuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribEnum.
-> Ptr GLuint | `params` pointing to `1` element of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetVertexAttribPointerv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPointerPropertyARB.
-> Ptr (Ptr a) | `pointer` pointing to `1` element of type `Ptr a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetVertexAttribdv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPropertyARB.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetVertexAttribfv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPropertyARB.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetVertexAttribiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPropertyARB.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glHint Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HintTarget.
-> GLenum | `mode` of type HintMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsBuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsEnabled Source #

Arguments

:: MonadIO m |
=> GLenum | `cap` of type EnableCap.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsEnabledi Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EnableCap.
-> GLuint | `index`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsFramebuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsQuery Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsRenderbuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsSampler Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsShader Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsSync Source #

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsTexture Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsVertexArray Source #

Arguments

:: MonadIO m |
=> GLuint | `array`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glLineWidth Source #

Arguments

:: MonadIO m |
=> GLfloat | `width` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glLinkProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glLogicOp Source #

Arguments

:: MonadIO m |
=> GLenum | `opcode` of type LogicOp.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glMapBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `access` of type BufferAccessARB.
-> m (Ptr a) |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glMapBufferRange Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> GLbitfield | `access` of type MapBufferAccessMask.
-> m (Ptr a) |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glMultiDrawArrays Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr GLint | `first` pointing to `COMPSIZE(drawcount)` elements of type `GLint`.
-> Ptr GLsizei | `count` pointing to `COMPSIZE(drawcount)` elements of type `GLsizei`.
-> GLsizei | `drawcount`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glMultiDrawElements Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr GLsizei | `count` pointing to `COMPSIZE(drawcount)` elements of type `GLsizei`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr (Ptr a) | `indices` pointing to `COMPSIZE(drawcount)` elements of type `Ptr a`.
-> GLsizei | `drawcount`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glMultiDrawElementsBaseVertex Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr GLsizei | `count` pointing to `COMPSIZE(drawcount)` elements of type `GLsizei`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr (Ptr a) | `indices` pointing to `COMPSIZE(drawcount)` elements of type `Ptr a`.
-> GLsizei | `drawcount`.
-> Ptr GLint | `basevertex` pointing to `COMPSIZE(drawcount)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glPixelStoref Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelStoreParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPixelStorei Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelStoreParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPointParameterf Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPointParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPointParameteri Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> GLint | `param`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPointParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPointSize Source #

Arguments

:: MonadIO m |
=> GLfloat | `size` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPolygonMode Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `mode` of type PolygonMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPolygonOffset Source #

Arguments

:: MonadIO m |
=> GLfloat | `factor`.
-> GLfloat | `units`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPrimitiveRestartIndex Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glProvokingVertex Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type VertexProvokingMode.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glQueryCounter Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `target` of type QueryCounterTarget.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glReadBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `src` of type ReadBufferMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glReadPixels Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glRenderbufferStorage Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glRenderbufferStorageMultisample Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSampleCoverage Source #

Arguments

:: MonadIO m |
=> GLfloat | `value`.
-> GLboolean | `invert` of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glSampleMaski Source #

Arguments

:: MonadIO m |
=> GLuint | `maskNumber`.
-> GLbitfield | `mask`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterIiv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLint | `param` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterIuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLuint | `param` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterf Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterF.
-> GLfloat | `param`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterfv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterF.
-> Ptr GLfloat | `param` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameteri Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> GLint | `param`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLint | `param` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glScissor Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glShaderSource Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> GLsizei | `count`.
-> Ptr (Ptr GLchar) | `string` pointing to `count` elements of type `Ptr GLchar`.
-> Ptr GLint | `length` pointing to `count` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilFunc Source #

Arguments

:: MonadIO m |
=> GLenum | `func` of type StencilFunction.
-> GLint | `ref` of type `StencilValue`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilFuncSeparate Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type StencilFaceDirection.
-> GLenum | `func` of type StencilFunction.
-> GLint | `ref` of type `StencilValue`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilMask Source #

Arguments

:: MonadIO m |
=> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilMaskSeparate Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type StencilFaceDirection.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilOp Source #

Arguments

:: MonadIO m |
=> GLenum | `fail` of type StencilOp.
-> GLenum | `zfail` of type StencilOp.
-> GLenum | `zpass` of type StencilOp.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilOpSeparate Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type StencilFaceDirection.
-> GLenum | `sfail` of type StencilOp.
-> GLenum | `dpfail` of type StencilOp.
-> GLenum | `dppass` of type StencilOp.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLuint | `buffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glTexImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexImage2DMultisample Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glTexImage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexImage3DMultisample Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glTexParameterIiv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glTexParameterIuiv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glTexParameterf Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameteri Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexSubImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexSubImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexSubImage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTransformFeedbackVaryings Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `count`.
-> Ptr (Ptr GLchar) | `varyings` pointing to `count` elements of type `Ptr GLchar`.
-> GLenum | `bufferMode` of type TransformFeedbackBufferMode.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glUniform1f Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLfloat | `v0`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform1fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*1` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform1i Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint | `v0`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform1iv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*1` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform1ui Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint | `v0`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glUniform1uiv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*1` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glUniform2f Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform2fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*2` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform2i Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform2iv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*2` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform2ui Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glUniform2uiv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*2` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glUniform3f Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> GLfloat | `v2`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform3fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*3` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform3i Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> GLint | `v2`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform3iv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*3` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform3ui Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> GLuint | `v2`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glUniform3uiv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*3` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glUniform4f Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> GLfloat | `v2`.
-> GLfloat | `v3`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform4fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*4` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform4i Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> GLint | `v2`.
-> GLint | `v3`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform4iv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*4` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform4ui Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> GLuint | `v2`.
-> GLuint | `v3`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glUniform4uiv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*4` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glUniformBlockBinding Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `uniformBlockIndex`.
-> GLuint | `uniformBlockBinding`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glUniformMatrix2fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*4` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix2x3fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*6` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix2x4fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*8` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix3fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*9` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix3x2fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*6` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix3x4fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*12` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix4fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*16` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix4x2fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*8` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix4x3fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*12` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUnmapBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUseProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glValidateProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib1d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib1dv`.

glVertexAttrib1dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `1` element of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib1f Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib1fv`.

glVertexAttrib1fv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `1` element of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib1s Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib1sv`.

glVertexAttrib1sv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `1` element of type `GLshort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib2d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib2dv`.

glVertexAttrib2dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `2` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib2f Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib2fv`.

glVertexAttrib2fv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `2` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib2s Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib2sv`.

glVertexAttrib2sv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `2` elements of type `GLshort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib3d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib3dv`.

glVertexAttrib3dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `3` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib3f Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib3fv`.

glVertexAttrib3fv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib3s Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib3sv`.

glVertexAttrib3sv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `3` elements of type `GLshort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nbv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLbyte | `v` pointing to `4` elements of type `GLbyte`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Niv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nsv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nub Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLubyte | `x`.
-> GLubyte | `y`.
-> GLubyte | `z`.
-> GLubyte | `w`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nubv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `GLubyte`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `4` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nusv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLushort | `v` pointing to `4` elements of type `GLushort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4bv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLbyte | `v` pointing to `4` elements of type `GLbyte`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib4dv`.

glVertexAttrib4dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4f Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib4fv`.

glVertexAttrib4fv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4iv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4s Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> GLshort | `w`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib4sv`.

glVertexAttrib4sv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4ubv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `GLubyte`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `4` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4usv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLushort | `v` pointing to `4` elements of type `GLushort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttribDivisor Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `divisor`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI1i Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `x`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttribI1iv`.

glVertexAttribI1iv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `1` element of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI1ui Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `x`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttribI1uiv`.

glVertexAttribI1uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `1` element of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI2i Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `x`.
-> GLint | `y`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttribI2iv`.

glVertexAttribI2iv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `2` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI2ui Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `x`.
-> GLuint | `y`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttribI2uiv`.

glVertexAttribI2uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `2` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI3i Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `x`.
-> GLint | `y`.
-> GLint | `z`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttribI3iv`.

glVertexAttribI3iv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `3` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI3ui Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `x`.
-> GLuint | `y`.
-> GLuint | `z`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttribI3uiv`.

glVertexAttribI3uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `3` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI4bv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLbyte | `v` pointing to `4` elements of type `GLbyte`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI4i Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `x`.
-> GLint | `y`.
-> GLint | `z`.
-> GLint | `w`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttribI4iv`.

glVertexAttribI4iv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI4sv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI4ubv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `GLubyte`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI4ui Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `x`.
-> GLuint | `y`.
-> GLuint | `z`.
-> GLuint | `w`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttribI4uiv`.

glVertexAttribI4uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `4` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribI4usv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLushort | `v` pointing to `4` elements of type `GLushort`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribIPointer Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP1ui Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP1uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribP2ui Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP2uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribP3ui Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP3uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribP4ui Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP4uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribPointer Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glViewport Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glWaitSync Source #

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> GLbitfield | `flags`.
-> GLuint64 | `timeout`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.